Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace Data
    ''' <summary>
    ''' Controller class for aspnet_PersonalizationAllUsers
    ''' </summary>
		<System.ComponentModel.DataObject()> Public Partial Class AspnetPersonalizationAllUsersController
    
        ' Preload our schema..
        Dim thisSchemaLoad As AspnetPersonalizationAllUsers = New AspnetPersonalizationAllUsers()
        Private strUserName As String = String.Empty
        Protected ReadOnly Property UserName() As String
            Get
				If strUserName.Length = 0 Then
		        
    				If Not System.Web.HttpContext.Current Is Nothing Then
						strUserName = System.Web.HttpContext.Current.User.Identity.Name
					Else
		        		strUserName = System.Threading.Thread.CurrentPrincipal.Identity.Name
					End If
					Return strUserName
				End If
				Return strUserName
			End Get
        End Property
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchAll() As AspnetPersonalizationAllUsersCollection
        
            Dim coll As AspnetPersonalizationAllUsersCollection = New AspnetPersonalizationAllUsersCollection()
            Dim qry As Query = New Query(AspnetPersonalizationAllUsers.Schema)
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
            
        End Function
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByID(ByVal PathId As Object) As AspnetPersonalizationAllUsersCollection 
        
            Dim coll As AspnetPersonalizationAllUsersCollection = New AspnetPersonalizationAllUsersCollection().Where("PathId", PathId).Load()
            Return coll
        
        End Function
        
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByQuery(ByVal qry As SubSonic.Query) As AspnetPersonalizationAllUsersCollection 
        
            Dim coll As AspnetPersonalizationAllUsersCollection = New AspnetPersonalizationAllUsersCollection()
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, True)> Public Function Delete(ByVal PathId As Object) as Boolean
        
            Return (AspnetPersonalizationAllUsers.Delete(PathId) = 1)
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, False)> Public Function Destroy(ByVal PathId As Object) as Boolean
        
            Return (AspnetPersonalizationAllUsers.Destroy(PathId) = 1)
        
        End Function
        
    	
	    ''' <summary>
	    ''' Inserts a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Insert, True)> Public Sub Insert(ByVal PathId As Guid,ByVal PageSettings As Byte(),ByVal LastUpdatedDate As DateTime)
	   
		    Dim item As AspnetPersonalizationAllUsers = New AspnetPersonalizationAllUsers()
		    
            item.PathId = PathId
            
            item.PageSettings = PageSettings
            
            item.LastUpdatedDate = LastUpdatedDate
            
	    
		    item.Save(UserName)
	   
	   End Sub
    	
	    ''' <summary>
	    ''' Updates a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Update, True)> Public Sub Update(ByVal PathId As Guid,ByVal PageSettings As Byte(),ByVal LastUpdatedDate As DateTime)
	    
		    Dim item As AspnetPersonalizationAllUsers = New AspnetPersonalizationAllUsers()
		    
				item.PathId = PathId
				
				item.PageSettings = PageSettings
				
				item.LastUpdatedDate = LastUpdatedDate
				
		    item.MarkOld()
		    item.Save(UserName)
	    
	    End Sub
    End Class
End Namespace
