Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace Data
    ''' <summary>
    ''' Controller class for aspnet_Profile
    ''' </summary>
		<System.ComponentModel.DataObject()> Public Partial Class AspnetProfileController
    
        ' Preload our schema..
        Dim thisSchemaLoad As AspnetProfile = New AspnetProfile()
        Private strUserName As String = String.Empty
        Protected ReadOnly Property UserName() As String
            Get
				If strUserName.Length = 0 Then
		        
    				If Not System.Web.HttpContext.Current Is Nothing Then
						strUserName = System.Web.HttpContext.Current.User.Identity.Name
					Else
		        		strUserName = System.Threading.Thread.CurrentPrincipal.Identity.Name
					End If
					Return strUserName
				End If
				Return strUserName
			End Get
        End Property
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchAll() As AspnetProfileCollection
        
            Dim coll As AspnetProfileCollection = New AspnetProfileCollection()
            Dim qry As Query = New Query(AspnetProfile.Schema)
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
            
        End Function
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByID(ByVal UserId As Object) As AspnetProfileCollection 
        
            Dim coll As AspnetProfileCollection = New AspnetProfileCollection().Where("UserId", UserId).Load()
            Return coll
        
        End Function
        
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByQuery(ByVal qry As SubSonic.Query) As AspnetProfileCollection 
        
            Dim coll As AspnetProfileCollection = New AspnetProfileCollection()
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, True)> Public Function Delete(ByVal UserId As Object) as Boolean
        
            Return (AspnetProfile.Delete(UserId) = 1)
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, False)> Public Function Destroy(ByVal UserId As Object) as Boolean
        
            Return (AspnetProfile.Destroy(UserId) = 1)
        
        End Function
        
    	
	    ''' <summary>
	    ''' Inserts a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Insert, True)> Public Sub Insert(ByVal UserId As Guid,ByVal PropertyNames As String,ByVal PropertyValuesString As String,ByVal PropertyValuesBinary As Byte(),ByVal LastUpdatedDate As DateTime)
	   
		    Dim item As AspnetProfile = New AspnetProfile()
		    
            item.UserId = UserId
            
            item.PropertyNames = PropertyNames
            
            item.PropertyValuesString = PropertyValuesString
            
            item.PropertyValuesBinary = PropertyValuesBinary
            
            item.LastUpdatedDate = LastUpdatedDate
            
	    
		    item.Save(UserName)
	   
	   End Sub
    	
	    ''' <summary>
	    ''' Updates a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Update, True)> Public Sub Update(ByVal UserId As Guid,ByVal PropertyNames As String,ByVal PropertyValuesString As String,ByVal PropertyValuesBinary As Byte(),ByVal LastUpdatedDate As DateTime)
	    
		    Dim item As AspnetProfile = New AspnetProfile()
		    
				item.UserId = UserId
				
				item.PropertyNames = PropertyNames
				
				item.PropertyValuesString = PropertyValuesString
				
				item.PropertyValuesBinary = PropertyValuesBinary
				
				item.LastUpdatedDate = LastUpdatedDate
				
		    item.MarkOld()
		    item.Save(UserName)
	    
	    End Sub
    End Class
End Namespace
