Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace Data
    Public Partial Class SPs
        
        ''' <summary>
        ''' Creates an object wrapper for the AlbumList Procedure
        ''' </summary>
        Public Shared Function AlbumList(ByVal userid As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("AlbumList" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@userid", userid,DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the MemberCountByLetter Procedure
        ''' </summary>
        Public Shared Function MemberCountByLetter() As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("MemberCountByLetter" , DataService.GetInstance("ClubStarterKitData"))
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the NextPrevLocation Procedure
        ''' </summary>
        Public Shared Function NextPrevLocation(ByVal id As Nullable(Of Integer), ByVal previd As Nullable(Of Integer), ByVal nextid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("NextPrevLocation" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@id", id,DbType.Int32)
        	    
            
        	    
            sp.Command.AddOutputParameter("@previd",DbType.Int32)
        	    
            
        	    
            sp.Command.AddOutputParameter("@nextid",DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the PagedAlbumList Procedure
        ''' </summary>
        Public Shared Function PagedAlbumList(ByVal ownerID As Nullable(Of Guid), ByVal pageNum As Nullable(Of Integer), ByVal pageSize As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("PagedAlbumList" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ownerID", ownerID,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@pageNum", pageNum,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@pageSize", pageSize,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the PagedLocationsList Procedure
        ''' </summary>
        Public Shared Function PagedLocationsList(ByVal pageNum As Nullable(Of Integer), ByVal pageSize As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("PagedLocationsList" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@pageNum", pageNum,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@pageSize", pageSize,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetUsersByApproval Procedure
        ''' </summary>
        Public Shared Function GetUsersByApproval(ByVal approved As Nullable(Of Boolean)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetUsersByApproval" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@approved", approved,DbType.Boolean)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetUsersAll Procedure
        ''' </summary>
        Public Shared Function GetUsersAll() As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetUsersAll" , DataService.GetInstance("ClubStarterKitData"))
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the PagedAlbumList1 Procedure
        ''' </summary>
        Public Shared Function PagedAlbumList1(ByVal ownerID As Nullable(Of Guid), ByVal pageNum As Nullable(Of Integer), ByVal pageSize As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("PagedAlbumList1" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ownerID", ownerID,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@pageNum", pageNum,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@pageSize", pageSize,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Setup_RestorePermissions Procedure
        ''' </summary>
        Public Shared Function AspnetSetupRestorePermissions(ByVal name As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Setup_RestorePermissions" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@name", name,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the ListModerators Procedure
        ''' </summary>
        Public Shared Function ListModerators() As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("ListModerators" , DataService.GetInstance("ClubStarterKitData"))
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Setup_RemoveAllRoleMembers Procedure
        ''' </summary>
        Public Shared Function AspnetSetupRemoveAllRoleMembers(ByVal name As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Setup_RemoveAllRoleMembers" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@name", name,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetTopics Procedure
        ''' </summary>
        Public Shared Function GetTopics() As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetTopics" , DataService.GetInstance("ClubStarterKitData"))
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetThread Procedure
        ''' </summary>
        Public Shared Function GetThread(ByVal threadid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetThread" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@threadid", threadid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetThreadPage Procedure
        ''' </summary>
        Public Shared Function GetThreadPage(ByVal threadid As Nullable(Of Integer), ByVal pageNum As Nullable(Of Integer), ByVal PageSize As Nullable(Of Integer), ByVal sortDir As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetThreadPage" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@threadid", threadid,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@pageNum", pageNum,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PageSize", PageSize,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@sortDir", sortDir,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetThreads Procedure
        ''' </summary>
        Public Shared Function GetThreads(ByVal topicid As Nullable(Of Integer), ByVal sticky As Nullable(Of Boolean), ByVal admin As Nullable(Of Boolean)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetThreads" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@topicid", topicid,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@sticky", sticky,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@admin", admin,DbType.Boolean)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the AddMessage Procedure
        ''' </summary>
        Public Shared Function AddMessage(ByVal parentmsgid As Nullable(Of Integer), ByVal memberid As Nullable(Of Guid), ByVal body As String, ByVal subject As String, ByVal admin As Nullable(Of Boolean), ByVal topicid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("AddMessage" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@parentmsgid", parentmsgid,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@memberid", memberid,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@body", body,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@subject", subject,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@admin", admin,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@topicid", topicid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the DeleteMessage Procedure
        ''' </summary>
        Public Shared Function DeleteMessage(ByVal id As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("DeleteMessage" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@id", id,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetMessage Procedure
        ''' </summary>
        Public Shared Function GetMessage(ByVal id As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetMessage" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@id", id,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetWatchedThreads Procedure
        ''' </summary>
        Public Shared Function GetWatchedThreads(ByVal memberid As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetWatchedThreads" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@memberid", memberid,DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the SaveEditMessage Procedure
        ''' </summary>
        Public Shared Function SaveEditMessage(ByVal id As Nullable(Of Integer), ByVal body As String, ByVal subject As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("SaveEditMessage" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@id", id,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@body", body,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@subject", subject,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the MarkThreadRead Procedure
        ''' </summary>
        Public Shared Function MarkThreadRead(ByVal threadid As Nullable(Of Integer), ByVal memberid As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("MarkThreadRead" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@threadid", threadid,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@memberid", memberid,DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the MarkAllRead Procedure
        ''' </summary>
        Public Shared Function MarkAllRead(ByVal memberid As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("MarkAllRead" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@memberid", memberid,DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Users_CreateUser Procedure
        ''' </summary>
        Public Shared Function AspnetUsersCreateUser(ByVal ApplicationId As Nullable(Of Guid), ByVal UserName As String, ByVal IsUserAnonymous As Nullable(Of Boolean), ByVal LastActivityDate As Nullable(Of DateTime), ByVal UserId As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Users_CreateUser" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationId", ApplicationId,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@IsUserAnonymous", IsUserAnonymous,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@LastActivityDate", LastActivityDate,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddOutputParameter("@UserId",DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Users_DeleteUser Procedure
        ''' </summary>
        Public Shared Function AspnetUsersDeleteUser(ByVal ApplicationName As String, ByVal UserName As String, ByVal TablesToDeleteFrom As Nullable(Of Integer), ByVal NumTablesDeletedFrom As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Users_DeleteUser" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@TablesToDeleteFrom", TablesToDeleteFrom,DbType.Int32)
        	    
            
        	    
            sp.Command.AddOutputParameter("@NumTablesDeletedFrom",DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_AnyDataInTables Procedure
        ''' </summary>
        Public Shared Function AspnetAnyDataInTables(ByVal TablesToCheck As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_AnyDataInTables" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@TablesToCheck", TablesToCheck,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the addAttendance Procedure
        ''' </summary>
        Public Shared Function AddAttendance(ByVal UserId As Nullable(Of Guid), ByVal NumberofGuests As Nullable(Of Integer), ByVal EventId As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("addAttendance" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@UserId", UserId,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@NumberofGuests", NumberofGuests,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@EventId", EventId,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_GetUserByName Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipGetUserByName(ByVal ApplicationName As String, ByVal UserName As String, ByVal CurrentTimeUtc As Nullable(Of DateTime), ByVal UpdateLastActivity As Nullable(Of Boolean)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_GetUserByName" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@UpdateLastActivity", UpdateLastActivity,DbType.Boolean)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_GetUserByUserId Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipGetUserByUserId(ByVal UserId As Nullable(Of Guid), ByVal CurrentTimeUtc As Nullable(Of DateTime), ByVal UpdateLastActivity As Nullable(Of Boolean)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_GetUserByUserId" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@UserId", UserId,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@UpdateLastActivity", UpdateLastActivity,DbType.Boolean)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetUserAttendance Procedure
        ''' </summary>
        Public Shared Function GetUserAttendance(ByVal id As Nullable(Of Integer), ByVal member As Nullable(Of Guid), ByVal UserAttendance As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetUserAttendance" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@id", id,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@member", member,DbType.Guid)
        	    
            
        	    
            sp.Command.AddOutputParameter("@UserAttendance",DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_GetUserByEmail Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipGetUserByEmail(ByVal ApplicationName As String, ByVal Email As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_GetUserByEmail" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Email", Email,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetAttendance Procedure
        ''' </summary>
        Public Shared Function GetAttendance(ByVal id As Nullable(Of Integer), ByVal RSVP As Nullable(Of Boolean), ByVal TotalAttendance As Nullable(Of Integer), ByVal CurrentAttendance As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetAttendance" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@id", id,DbType.Int32)
        	    
            
        	    
            sp.Command.AddOutputParameter("@RSVP",DbType.Boolean)
        	    
            
        	    
            sp.Command.AddOutputParameter("@TotalAttendance",DbType.Int32)
        	    
            
        	    
            sp.Command.AddOutputParameter("@CurrentAttendance",DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_GetPasswordWithFormat Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipGetPasswordWithFormat(ByVal ApplicationName As String, ByVal UserName As String, ByVal UpdateLastLoginActivityDate As Nullable(Of Boolean), ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_GetPasswordWithFormat" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UpdateLastLoginActivityDate", UpdateLastLoginActivityDate,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_UpdateUserInfo Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipUpdateUserInfo(ByVal ApplicationName As String, ByVal UserName As String, ByVal IsPasswordCorrect As Nullable(Of Boolean), ByVal UpdateLastLoginActivityDate As Nullable(Of Boolean), ByVal MaxInvalidPasswordAttempts As Nullable(Of Integer), ByVal PasswordAttemptWindow As Nullable(Of Integer), ByVal CurrentTimeUtc As Nullable(Of DateTime), ByVal LastLoginDate As Nullable(Of DateTime), ByVal LastActivityDate As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_UpdateUserInfo" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@IsPasswordCorrect", IsPasswordCorrect,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@UpdateLastLoginActivityDate", UpdateLastLoginActivityDate,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@MaxInvalidPasswordAttempts", MaxInvalidPasswordAttempts,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordAttemptWindow", PasswordAttemptWindow,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@LastLoginDate", LastLoginDate,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@LastActivityDate", LastActivityDate,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_GetPassword Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipGetPassword(ByVal ApplicationName As String, ByVal UserName As String, ByVal MaxInvalidPasswordAttempts As Nullable(Of Integer), ByVal PasswordAttemptWindow As Nullable(Of Integer), ByVal CurrentTimeUtc As Nullable(Of DateTime), ByVal PasswordAnswer As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_GetPassword" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@MaxInvalidPasswordAttempts", MaxInvalidPasswordAttempts,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordAttemptWindow", PasswordAttemptWindow,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordAnswer", PasswordAnswer,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the AddEventsAttendance Procedure
        ''' </summary>
        Public Shared Function AddEventsAttendance(ByVal EventId As Nullable(Of Integer), ByVal CurrentAttendance As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("AddEventsAttendance" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@EventId", EventId,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentAttendance", CurrentAttendance,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_SetPassword Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipSetPassword(ByVal ApplicationName As String, ByVal UserName As String, ByVal NewPassword As String, ByVal PasswordSalt As String, ByVal CurrentTimeUtc As Nullable(Of DateTime), ByVal PasswordFormat As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_SetPassword" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@NewPassword", NewPassword,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordSalt", PasswordSalt,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordFormat", PasswordFormat,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetMembershipInfoFirstLastName Procedure
        ''' </summary>
        Public Shared Function GetMembershipInfoFirstLastName(ByVal userid As Nullable(Of Guid), ByVal fname As String, ByVal lname As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetMembershipInfoFirstLastName" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@userid", userid,DbType.Guid)
        	    
            
        	    
            sp.Command.AddOutputParameter("@fname",DbType.String)
        	    
            
        	    
            sp.Command.AddOutputParameter("@lname",DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_ResetPassword Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipResetPassword(ByVal ApplicationName As String, ByVal UserName As String, ByVal NewPassword As String, ByVal MaxInvalidPasswordAttempts As Nullable(Of Integer), ByVal PasswordAttemptWindow As Nullable(Of Integer), ByVal PasswordSalt As String, ByVal CurrentTimeUtc As Nullable(Of DateTime), ByVal PasswordFormat As Nullable(Of Integer), ByVal PasswordAnswer As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_ResetPassword" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@NewPassword", NewPassword,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@MaxInvalidPasswordAttempts", MaxInvalidPasswordAttempts,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordAttemptWindow", PasswordAttemptWindow,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordSalt", PasswordSalt,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordFormat", PasswordFormat,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordAnswer", PasswordAnswer,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the PlayersTeamID Procedure
        ''' </summary>
        Public Shared Function PlayersTeamID(ByVal playermemkey As Nullable(Of Guid), ByVal seasonid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("PlayersTeamID" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@playermemkey", playermemkey,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@seasonid", seasonid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_UnlockUser Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipUnlockUser(ByVal ApplicationName As String, ByVal UserName As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_UnlockUser" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_UsersInRoles_IsUserInRole Procedure
        ''' </summary>
        Public Shared Function AspnetUsersInRolesIsUserInRole(ByVal ApplicationName As String, ByVal UserName As String, ByVal RoleName As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_UsersInRoles_IsUserInRole" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleName", RoleName,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Profile_GetNumberOfInactiveProfiles Procedure
        ''' </summary>
        Public Shared Function AspnetProfileGetNumberOfInactiveProfiles(ByVal ApplicationName As String, ByVal ProfileAuthOptions As Nullable(Of Integer), ByVal InactiveSinceDate As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Profile_GetNumberOfInactiveProfiles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@ProfileAuthOptions", ProfileAuthOptions,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@InactiveSinceDate", InactiveSinceDate,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_UpdateUser Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipUpdateUser(ByVal ApplicationName As String, ByVal UserName As String, ByVal Email As String, ByVal Comment As String, ByVal IsApproved As Nullable(Of Boolean), ByVal LastLoginDate As Nullable(Of DateTime), ByVal LastActivityDate As Nullable(Of DateTime), ByVal UniqueEmail As Nullable(Of Integer), ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_UpdateUser" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Email", Email,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Comment", Comment,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@IsApproved", IsApproved,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@LastLoginDate", LastLoginDate,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@LastActivityDate", LastActivityDate,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@UniqueEmail", UniqueEmail,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the PlayersSeasonGameData Procedure
        ''' </summary>
        Public Shared Function PlayersSeasonGameData(ByVal playermemkey As Nullable(Of Guid), ByVal seasonid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("PlayersSeasonGameData" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@playermemkey", playermemkey,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@seasonid", seasonid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the PlayerSynopsizedStatistics Procedure
        ''' </summary>
        Public Shared Function PlayerSynopsizedStatistics(ByVal player As Nullable(Of Guid), ByVal season As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("PlayerSynopsizedStatistics" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@player", player,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@season", season,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Profile_DeleteInactiveProfiles Procedure
        ''' </summary>
        Public Shared Function AspnetProfileDeleteInactiveProfiles(ByVal ApplicationName As String, ByVal ProfileAuthOptions As Nullable(Of Integer), ByVal InactiveSinceDate As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Profile_DeleteInactiveProfiles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@ProfileAuthOptions", ProfileAuthOptions,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@InactiveSinceDate", InactiveSinceDate,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Profile_GetProperties Procedure
        ''' </summary>
        Public Shared Function AspnetProfileGetProperties(ByVal ApplicationName As String, ByVal UserName As String, ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Profile_GetProperties" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_ChangePasswordQuestionAndAnswer Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipChangePasswordQuestionAndAnswer(ByVal ApplicationName As String, ByVal UserName As String, ByVal NewPasswordQuestion As String, ByVal NewPasswordAnswer As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_ChangePasswordQuestionAndAnswer" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@NewPasswordQuestion", NewPasswordQuestion,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@NewPasswordAnswer", NewPasswordAnswer,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_GetNumberOfUsersOnline Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipGetNumberOfUsersOnline(ByVal ApplicationName As String, ByVal MinutesSinceLastInActive As Nullable(Of Integer), ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_GetNumberOfUsersOnline" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@MinutesSinceLastInActive", MinutesSinceLastInActive,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_UsersInRoles_GetUsersInRoles Procedure
        ''' </summary>
        Public Shared Function AspnetUsersInRolesGetUsersInRoles(ByVal ApplicationName As String, ByVal RoleName As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_UsersInRoles_GetUsersInRoles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleName", RoleName,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_UsersInRoles_FindUsersInRole Procedure
        ''' </summary>
        Public Shared Function AspnetUsersInRolesFindUsersInRole(ByVal ApplicationName As String, ByVal RoleName As String, ByVal UserNameToMatch As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_UsersInRoles_FindUsersInRole" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleName", RoleName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserNameToMatch", UserNameToMatch,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_UsersInRoles_GetRolesForUser Procedure
        ''' </summary>
        Public Shared Function AspnetUsersInRolesGetRolesForUser(ByVal ApplicationName As String, ByVal UserName As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_UsersInRoles_GetRolesForUser" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_UsersInRoles_AddUsersToRoles Procedure
        ''' </summary>
        Public Shared Function AspnetUsersInRolesAddUsersToRoles(ByVal ApplicationName As String, ByVal UserNames As String, ByVal RoleNames As String, ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_UsersInRoles_AddUsersToRoles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserNames", UserNames,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleNames", RoleNames,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_UsersInRoles_RemoveUsersFromRoles Procedure
        ''' </summary>
        Public Shared Function AspnetUsersInRolesRemoveUsersFromRoles(ByVal ApplicationName As String, ByVal UserNames As String, ByVal RoleNames As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_UsersInRoles_RemoveUsersFromRoles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserNames", UserNames,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleNames", RoleNames,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_UnRegisterSchemaVersion Procedure
        ''' </summary>
        Public Shared Function AspnetUnRegisterSchemaVersion(ByVal Feature As String, ByVal CompatibleSchemaVersion As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_UnRegisterSchemaVersion" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@Feature", Feature,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CompatibleSchemaVersion", CompatibleSchemaVersion,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_RegisterSchemaVersion Procedure
        ''' </summary>
        Public Shared Function AspnetRegisterSchemaVersion(ByVal Feature As String, ByVal CompatibleSchemaVersion As String, ByVal IsCurrentVersion As Nullable(Of Boolean), ByVal RemoveIncompatibleSchema As Nullable(Of Boolean)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_RegisterSchemaVersion" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@Feature", Feature,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CompatibleSchemaVersion", CompatibleSchemaVersion,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@IsCurrentVersion", IsCurrentVersion,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@RemoveIncompatibleSchema", RemoveIncompatibleSchema,DbType.Boolean)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the DownloadsByEvent Procedure
        ''' </summary>
        Public Shared Function DownloadsByEvent(ByVal eventid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("DownloadsByEvent" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@eventid", eventid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_CheckSchemaVersion Procedure
        ''' </summary>
        Public Shared Function AspnetCheckSchemaVersion(ByVal Feature As String, ByVal CompatibleSchemaVersion As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_CheckSchemaVersion" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@Feature", Feature,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CompatibleSchemaVersion", CompatibleSchemaVersion,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the DownloadsByNews Procedure
        ''' </summary>
        Public Shared Function DownloadsByNews(ByVal articleid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("DownloadsByNews" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@articleid", articleid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Roles_DeleteRole Procedure
        ''' </summary>
        Public Shared Function AspnetRolesDeleteRole(ByVal ApplicationName As String, ByVal RoleName As String, ByVal DeleteOnlyIfRoleIsEmpty As Nullable(Of Boolean)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Roles_DeleteRole" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleName", RoleName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@DeleteOnlyIfRoleIsEmpty", DeleteOnlyIfRoleIsEmpty,DbType.Boolean)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GetBlogTitle Procedure
        ''' </summary>
        Public Shared Function GetBlogTitle(ByVal postid As String, ByVal Title As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GetBlogTitle" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@postid", postid,DbType.String)
        	    
            
        	    
            sp.Command.AddOutputParameter("@Title",DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Roles_RoleExists Procedure
        ''' </summary>
        Public Shared Function AspnetRolesRoleExists(ByVal ApplicationName As String, ByVal RoleName As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Roles_RoleExists" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleName", RoleName,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Roles_GetAllRoles Procedure
        ''' </summary>
        Public Shared Function AspnetRolesGetAllRoles(ByVal ApplicationName As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Roles_GetAllRoles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the TeamSeasonsList Procedure
        ''' </summary>
        Public Shared Function TeamSeasonsList(ByVal TeamName As String, ByVal SelectedTeamID As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("TeamSeasonsList" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@TeamName", TeamName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@SelectedTeamID", SelectedTeamID,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Paths_CreatePath Procedure
        ''' </summary>
        Public Shared Function AspnetPathsCreatePath(ByVal ApplicationId As Nullable(Of Guid), ByVal Path As String, ByVal PathId As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Paths_CreatePath" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationId", ApplicationId,DbType.Guid)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
        	    
            sp.Command.AddOutputParameter("@PathId",DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the TeamStats Procedure
        ''' </summary>
        Public Shared Function TeamStats(ByVal teamid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("TeamStats" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@teamid", teamid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_WebEvent_LogEvent Procedure
        ''' </summary>
        Public Shared Function AspnetWebEventLogEvent(ByVal EventId As String, ByVal EventTimeUtc As Nullable(Of DateTime), ByVal EventTime As Nullable(Of DateTime), ByVal EventType As String, ByVal EventSequence As Nullable(Of Decimal), ByVal EventOccurrence As Nullable(Of Decimal), ByVal EventCode As Nullable(Of Integer), ByVal EventDetailCode As Nullable(Of Integer), ByVal Message As String, ByVal ApplicationPath As String, ByVal ApplicationVirtualPath As String, ByVal MachineName As String, ByVal RequestUrl As String, ByVal ExceptionType As String, ByVal Details As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_WebEvent_LogEvent" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@EventId", EventId,DbType.AnsiStringFixedLength)
        	    
            
        	    
            sp.Command.AddParameter("@EventTimeUtc", EventTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@EventTime", EventTime,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@EventType", EventType,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@EventSequence", EventSequence,DbType.Decimal)
        	    
            
        	    
            sp.Command.AddParameter("@EventOccurrence", EventOccurrence,DbType.Decimal)
        	    
            
        	    
            sp.Command.AddParameter("@EventCode", EventCode,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@EventDetailCode", EventDetailCode,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@Message", Message,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@ApplicationPath", ApplicationPath,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@ApplicationVirtualPath", ApplicationVirtualPath,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@MachineName", MachineName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RequestUrl", RequestUrl,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@ExceptionType", ExceptionType,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Details", Details,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Personalization_GetApplicationId Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationGetApplicationId(ByVal ApplicationName As String, ByVal ApplicationId As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Personalization_GetApplicationId" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddOutputParameter("@ApplicationId",DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Profile_GetProfiles Procedure
        ''' </summary>
        Public Shared Function AspnetProfileGetProfiles(ByVal ApplicationName As String, ByVal ProfileAuthOptions As Nullable(Of Integer), ByVal PageIndex As Nullable(Of Integer), ByVal PageSize As Nullable(Of Integer), ByVal UserNameToMatch As String, ByVal InactiveSinceDate As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Profile_GetProfiles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@ProfileAuthOptions", ProfileAuthOptions,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PageIndex", PageIndex,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PageSize", PageSize,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@UserNameToMatch", UserNameToMatch,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@InactiveSinceDate", InactiveSinceDate,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_GetAllUsers Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipGetAllUsers(ByVal ApplicationName As String, ByVal PageIndex As Nullable(Of Integer), ByVal PageSize As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_GetAllUsers" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PageIndex", PageIndex,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PageSize", PageSize,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_FindUsersByName Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipFindUsersByName(ByVal ApplicationName As String, ByVal UserNameToMatch As String, ByVal PageIndex As Nullable(Of Integer), ByVal PageSize As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_FindUsersByName" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserNameToMatch", UserNameToMatch,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PageIndex", PageIndex,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PageSize", PageSize,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the SeasonsTeamList Procedure
        ''' </summary>
        Public Shared Function SeasonsTeamList(ByVal seasonid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("SeasonsTeamList" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@seasonid", seasonid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_FindUsersByEmail Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipFindUsersByEmail(ByVal ApplicationName As String, ByVal EmailToMatch As String, ByVal PageIndex As Nullable(Of Integer), ByVal PageSize As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_FindUsersByEmail" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@EmailToMatch", EmailToMatch,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PageIndex", PageIndex,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PageSize", PageSize,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the SeasonGames Procedure
        ''' </summary>
        Public Shared Function SeasonGames(ByVal seasonid As Nullable(Of Integer), ByVal completed As Nullable(Of Boolean)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("SeasonGames" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@seasonid", seasonid,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@completed", completed,DbType.Boolean)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Applications_CreateApplication Procedure
        ''' </summary>
        Public Shared Function AspnetApplicationsCreateApplication(ByVal ApplicationName As String, ByVal ApplicationId As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Applications_CreateApplication" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddOutputParameter("@ApplicationId",DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Membership_CreateUser Procedure
        ''' </summary>
        Public Shared Function AspnetMembershipCreateUser(ByVal ApplicationName As String, ByVal UserName As String, ByVal Password As String, ByVal PasswordSalt As String, ByVal Email As String, ByVal PasswordQuestion As String, ByVal PasswordAnswer As String, ByVal IsApproved As Nullable(Of Boolean), ByVal CurrentTimeUtc As Nullable(Of DateTime), ByVal CreateDate As Nullable(Of DateTime), ByVal UniqueEmail As Nullable(Of Integer), ByVal PasswordFormat As Nullable(Of Integer), ByVal UserId As Nullable(Of Guid)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Membership_CreateUser" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Password", Password,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordSalt", PasswordSalt,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Email", Email,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordQuestion", PasswordQuestion,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordAnswer", PasswordAnswer,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@IsApproved", IsApproved,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@CreateDate", CreateDate,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@UniqueEmail", UniqueEmail,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PasswordFormat", PasswordFormat,DbType.Int32)
        	    
            
        	    
            sp.Command.AddOutputParameter("@UserId",DbType.Guid)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the GameStatistics Procedure
        ''' </summary>
        Public Shared Function GameStatistics(ByVal gameid As Nullable(Of Integer), ByVal teamid As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("GameStatistics" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@gameid", gameid,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@teamid", teamid,DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Profile_SetProperties Procedure
        ''' </summary>
        Public Shared Function AspnetProfileSetProperties(ByVal ApplicationName As String, ByVal PropertyNames As String, ByVal PropertyValuesString As String, ByVal PropertyValuesBinary As Byte(), ByVal UserName As String, ByVal IsUserAnonymous As Nullable(Of Boolean), ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Profile_SetProperties" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PropertyNames", PropertyNames,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PropertyValuesString", PropertyValuesString,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PropertyValuesBinary", PropertyValuesBinary,DbType.Binary)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@IsUserAnonymous", IsUserAnonymous,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationPerUser_GetPageSettings Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationPerUserGetPageSettings(ByVal ApplicationName As String, ByVal UserName As String, ByVal Path As String, ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationPerUser_GetPageSettings" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationPerUser_ResetPageSettings Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationPerUserResetPageSettings(ByVal ApplicationName As String, ByVal UserName As String, ByVal Path As String, ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationPerUser_ResetPageSettings" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationPerUser_SetPageSettings Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationPerUserSetPageSettings(ByVal ApplicationName As String, ByVal UserName As String, ByVal Path As String, ByVal PageSettings As Byte(), ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationPerUser_SetPageSettings" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PageSettings", PageSettings,DbType.Binary)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAdministration_ResetUserState Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAdministrationResetUserState(ByVal Count As Nullable(Of Integer), ByVal ApplicationName As String, ByVal InactiveSinceDate As Nullable(Of DateTime), ByVal UserName As String, ByVal Path As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAdministration_ResetUserState" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddOutputParameter("@Count",DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@InactiveSinceDate", InactiveSinceDate,DbType.DateTime)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAdministration_GetCountOfState Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAdministrationGetCountOfState(ByVal Count As Nullable(Of Integer), ByVal AllUsersScope As Nullable(Of Boolean), ByVal ApplicationName As String, ByVal Path As String, ByVal UserName As String, ByVal InactiveSinceDate As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAdministration_GetCountOfState" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddOutputParameter("@Count",DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@AllUsersScope", AllUsersScope,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@InactiveSinceDate", InactiveSinceDate,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAllUsers_SetPageSettings Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAllUsersSetPageSettings(ByVal ApplicationName As String, ByVal Path As String, ByVal PageSettings As Byte(), ByVal CurrentTimeUtc As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAllUsers_SetPageSettings" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PageSettings", PageSettings,DbType.Binary)
        	    
            
        	    
            sp.Command.AddParameter("@CurrentTimeUtc", CurrentTimeUtc,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Roles_CreateRole Procedure
        ''' </summary>
        Public Shared Function AspnetRolesCreateRole(ByVal ApplicationName As String, ByVal RoleName As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Roles_CreateRole" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@RoleName", RoleName,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_Profile_DeleteProfiles Procedure
        ''' </summary>
        Public Shared Function AspnetProfileDeleteProfiles(ByVal ApplicationName As String, ByVal UserNames As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_Profile_DeleteProfiles" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserNames", UserNames,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAdministration_DeleteAllState Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAdministrationDeleteAllState(ByVal AllUsersScope As Nullable(Of Boolean), ByVal ApplicationName As String, ByVal Count As Nullable(Of Integer)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAdministration_DeleteAllState" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@AllUsersScope", AllUsersScope,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddOutputParameter("@Count",DbType.Int32)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAllUsers_ResetPageSettings Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAllUsersResetPageSettings(ByVal ApplicationName As String, ByVal Path As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAllUsers_ResetPageSettings" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAllUsers_GetPageSettings Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAllUsersGetPageSettings(ByVal ApplicationName As String, ByVal Path As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAllUsers_GetPageSettings" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAdministration_ResetSharedState Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAdministrationResetSharedState(ByVal Count As Nullable(Of Integer), ByVal ApplicationName As String, ByVal Path As String) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAdministration_ResetSharedState" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddOutputParameter("@Count",DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
            Return sp
        End Function
        
        ''' <summary>
        ''' Creates an object wrapper for the aspnet_PersonalizationAdministration_FindState Procedure
        ''' </summary>
        Public Shared Function AspnetPersonalizationAdministrationFindState(ByVal AllUsersScope As Nullable(Of Boolean), ByVal ApplicationName As String, ByVal PageIndex As Nullable(Of Integer), ByVal PageSize As Nullable(Of Integer), ByVal Path As String, ByVal UserName As String, ByVal InactiveSinceDate As Nullable(Of DateTime)) As StoredProcedure 
            Dim sp As New SubSonic.StoredProcedure("aspnet_PersonalizationAdministration_FindState" , DataService.GetInstance("ClubStarterKitData"))
            
        	    
            sp.Command.AddParameter("@AllUsersScope", AllUsersScope,DbType.Boolean)
        	    
            
        	    
            sp.Command.AddParameter("@ApplicationName", ApplicationName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@PageIndex", PageIndex,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@PageSize", PageSize,DbType.Int32)
        	    
            
        	    
            sp.Command.AddParameter("@Path", Path,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@UserName", UserName,DbType.String)
        	    
            
        	    
            sp.Command.AddParameter("@InactiveSinceDate", InactiveSinceDate,DbType.DateTime)
        	    
            
            Return sp
        End Function
        
    End Class
        
End Namespace
