Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace Data
    ''' <summary>
    ''' Controller class for TempImagesDB
    ''' </summary>
		<System.ComponentModel.DataObject()> Public Partial Class TempImagesDBController
    
        ' Preload our schema..
        Dim thisSchemaLoad As TempImagesDB = New TempImagesDB()
        Private strUserName As String = String.Empty
        Protected ReadOnly Property UserName() As String
            Get
				If strUserName.Length = 0 Then
		        
    				If Not System.Web.HttpContext.Current Is Nothing Then
						strUserName = System.Web.HttpContext.Current.User.Identity.Name
					Else
		        		strUserName = System.Threading.Thread.CurrentPrincipal.Identity.Name
					End If
					Return strUserName
				End If
				Return strUserName
			End Get
        End Property
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchAll() As TempImagesDBCollection
        
            Dim coll As TempImagesDBCollection = New TempImagesDBCollection()
            Dim qry As Query = New Query(TempImagesDB.Schema)
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
            
        End Function
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByID(ByVal Id As Object) As TempImagesDBCollection 
        
            Dim coll As TempImagesDBCollection = New TempImagesDBCollection().Where("ID", Id).Load()
            Return coll
        
        End Function
        
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByQuery(ByVal qry As SubSonic.Query) As TempImagesDBCollection 
        
            Dim coll As TempImagesDBCollection = New TempImagesDBCollection()
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, True)> Public Function Delete(ByVal Id As Object) as Boolean
        
            Return (TempImagesDB.Delete(Id) = 1)
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, False)> Public Function Destroy(ByVal Id As Object) as Boolean
        
            Return (TempImagesDB.Destroy(Id) = 1)
        
        End Function
        
    	
	    ''' <summary>
	    ''' Inserts a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Insert, True)> Public Sub Insert(ByVal Img As Byte(),ByVal Album As Integer,ByVal Title As String,ByVal Thumb As Byte())
	   
		    Dim item As TempImagesDB = New TempImagesDB()
		    
            item.Img = Img
            
            item.Album = Album
            
            item.Title = Title
            
            item.Thumb = Thumb
            
	    
		    item.Save(UserName)
	   
	   End Sub
    	
	    ''' <summary>
	    ''' Updates a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Update, True)> Public Sub Update(ByVal Id As Integer,ByVal Img As Byte(),ByVal Album As Integer,ByVal Title As String,ByVal Thumb As Byte())
	    
		    Dim item As TempImagesDB = New TempImagesDB()
		    
				item.Id = Id
				
				item.Img = Img
				
				item.Album = Album
				
				item.Title = Title
				
				item.Thumb = Thumb
				
		    item.MarkOld()
		    item.Save(UserName)
	    
	    End Sub
    End Class
End Namespace
