Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace Data
    ''' <summary>
    ''' Controller class for TempImagesFile
    ''' </summary>
		<System.ComponentModel.DataObject()> Public Partial Class TempImagesFileController
    
        ' Preload our schema..
        Dim thisSchemaLoad As TempImagesFile = New TempImagesFile()
        Private strUserName As String = String.Empty
        Protected ReadOnly Property UserName() As String
            Get
				If strUserName.Length = 0 Then
		        
    				If Not System.Web.HttpContext.Current Is Nothing Then
						strUserName = System.Web.HttpContext.Current.User.Identity.Name
					Else
		        		strUserName = System.Threading.Thread.CurrentPrincipal.Identity.Name
					End If
					Return strUserName
				End If
				Return strUserName
			End Get
        End Property
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchAll() As TempImagesFileCollection
        
            Dim coll As TempImagesFileCollection = New TempImagesFileCollection()
            Dim qry As Query = New Query(TempImagesFile.Schema)
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
            
        End Function
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByID(ByVal Id As Object) As TempImagesFileCollection 
        
            Dim coll As TempImagesFileCollection = New TempImagesFileCollection().Where("ID", Id).Load()
            Return coll
        
        End Function
        
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByQuery(ByVal qry As SubSonic.Query) As TempImagesFileCollection 
        
            Dim coll As TempImagesFileCollection = New TempImagesFileCollection()
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, True)> Public Function Delete(ByVal Id As Object) as Boolean
        
            Return (TempImagesFile.Delete(Id) = 1)
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, False)> Public Function Destroy(ByVal Id As Object) as Boolean
        
            Return (TempImagesFile.Destroy(Id) = 1)
        
        End Function
        
    	
	    ''' <summary>
	    ''' Inserts a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Insert, True)> Public Sub Insert(ByVal Filename As String,ByVal Album As Integer,ByVal Title As String)
	   
		    Dim item As TempImagesFile = New TempImagesFile()
		    
            item.Filename = Filename
            
            item.Album = Album
            
            item.Title = Title
            
	    
		    item.Save(UserName)
	   
	   End Sub
    	
	    ''' <summary>
	    ''' Updates a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Update, True)> Public Sub Update(ByVal Id As Integer,ByVal Filename As String,ByVal Album As Integer,ByVal Title As String)
	    
		    Dim item As TempImagesFile = New TempImagesFile()
		    
				item.Id = Id
				
				item.Filename = Filename
				
				item.Album = Album
				
				item.Title = Title
				
		    item.MarkOld()
		    item.Save(UserName)
	    
	    End Sub
    End Class
End Namespace
