Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace Data
    ''' <summary>
    ''' Strongly-typed collection for the VwAspnetMembershipUsers class.
    ''' </summary>
    <Serializable()> _
    Public Partial Class VwAspnetMembershipUsersCollection 
    Inherits ReadOnlyList(Of VwAspnetMembershipUsers, VwAspnetMembershipUsersCollection)       
        Public Sub New()
        End Sub
    End Class
    ''' <summary>
    ''' This is  Read-only wrapper class for the vw_aspnet_MembershipUsers view.
    ''' </summary>
    <Serializable()> _
    Public Partial Class VwAspnetMembershipUsers 
    Inherits ReadOnlyRecord(Of VwAspnetMembershipUsers)
    
	    #Region "Default Settings"
	    Protected Shared Sub SetSQLProps()
	        GetTableSchema()
	    End Sub
	    #End Region
        #Region "Schema Accessor"
        Public Shared ReadOnly Property Schema() As TableSchema.Table
            Get
                If (BaseSchema Is Nothing) Then
                    SetSQLProps()
                End If
                Return BaseSchema
            End Get
        End Property
	    
	    Private Shared Sub GetTableSchema()
	        If (Not IsSchemaInitialized) Then
	            'Schema declaration
				Dim schema As TableSchema.Table = New TableSchema.Table("vw_aspnet_MembershipUsers", TableType.View, DataService.GetInstance("ClubStarterKitData"))
				schema.Columns = New TableSchema.TableColumnCollection()
				schema.SchemaName = "dbo"
                
                'Columns
                
                Dim colvarUserId As New TableSchema.TableColumn(schema)
                colvarUserId.ColumnName = "UserId"
                colvarUserId.DataType = DbType.Guid
                colvarUserId.MaxLength = 0
                colvarUserId.AutoIncrement = False
                colvarUserId.IsNullable = false
                colvarUserId.IsPrimaryKey = False
                colvarUserId.IsForeignKey = False
                colvarUserId.IsReadOnly = false
                 
                schema.Columns.Add(colvarUserId)
                
                Dim colvarPasswordFormat As New TableSchema.TableColumn(schema)
                colvarPasswordFormat.ColumnName = "PasswordFormat"
                colvarPasswordFormat.DataType = DbType.Int32
                colvarPasswordFormat.MaxLength = 0
                colvarPasswordFormat.AutoIncrement = False
                colvarPasswordFormat.IsNullable = false
                colvarPasswordFormat.IsPrimaryKey = False
                colvarPasswordFormat.IsForeignKey = False
                colvarPasswordFormat.IsReadOnly = false
                 
                schema.Columns.Add(colvarPasswordFormat)
                
                Dim colvarMobilePIN As New TableSchema.TableColumn(schema)
                colvarMobilePIN.ColumnName = "MobilePIN"
                colvarMobilePIN.DataType = DbType.String
                colvarMobilePIN.MaxLength = 16
                colvarMobilePIN.AutoIncrement = False
                colvarMobilePIN.IsNullable = true
                colvarMobilePIN.IsPrimaryKey = False
                colvarMobilePIN.IsForeignKey = False
                colvarMobilePIN.IsReadOnly = false
                 
                schema.Columns.Add(colvarMobilePIN)
                
                Dim colvarEmail As New TableSchema.TableColumn(schema)
                colvarEmail.ColumnName = "Email"
                colvarEmail.DataType = DbType.String
                colvarEmail.MaxLength = 256
                colvarEmail.AutoIncrement = False
                colvarEmail.IsNullable = true
                colvarEmail.IsPrimaryKey = False
                colvarEmail.IsForeignKey = False
                colvarEmail.IsReadOnly = false
                 
                schema.Columns.Add(colvarEmail)
                
                Dim colvarLoweredEmail As New TableSchema.TableColumn(schema)
                colvarLoweredEmail.ColumnName = "LoweredEmail"
                colvarLoweredEmail.DataType = DbType.String
                colvarLoweredEmail.MaxLength = 256
                colvarLoweredEmail.AutoIncrement = False
                colvarLoweredEmail.IsNullable = true
                colvarLoweredEmail.IsPrimaryKey = False
                colvarLoweredEmail.IsForeignKey = False
                colvarLoweredEmail.IsReadOnly = false
                 
                schema.Columns.Add(colvarLoweredEmail)
                
                Dim colvarPasswordQuestion As New TableSchema.TableColumn(schema)
                colvarPasswordQuestion.ColumnName = "PasswordQuestion"
                colvarPasswordQuestion.DataType = DbType.String
                colvarPasswordQuestion.MaxLength = 256
                colvarPasswordQuestion.AutoIncrement = False
                colvarPasswordQuestion.IsNullable = true
                colvarPasswordQuestion.IsPrimaryKey = False
                colvarPasswordQuestion.IsForeignKey = False
                colvarPasswordQuestion.IsReadOnly = false
                 
                schema.Columns.Add(colvarPasswordQuestion)
                
                Dim colvarPasswordAnswer As New TableSchema.TableColumn(schema)
                colvarPasswordAnswer.ColumnName = "PasswordAnswer"
                colvarPasswordAnswer.DataType = DbType.String
                colvarPasswordAnswer.MaxLength = 128
                colvarPasswordAnswer.AutoIncrement = False
                colvarPasswordAnswer.IsNullable = true
                colvarPasswordAnswer.IsPrimaryKey = False
                colvarPasswordAnswer.IsForeignKey = False
                colvarPasswordAnswer.IsReadOnly = false
                 
                schema.Columns.Add(colvarPasswordAnswer)
                
                Dim colvarIsApproved As New TableSchema.TableColumn(schema)
                colvarIsApproved.ColumnName = "IsApproved"
                colvarIsApproved.DataType = DbType.Boolean
                colvarIsApproved.MaxLength = 0
                colvarIsApproved.AutoIncrement = False
                colvarIsApproved.IsNullable = false
                colvarIsApproved.IsPrimaryKey = False
                colvarIsApproved.IsForeignKey = False
                colvarIsApproved.IsReadOnly = false
                 
                schema.Columns.Add(colvarIsApproved)
                
                Dim colvarIsLockedOut As New TableSchema.TableColumn(schema)
                colvarIsLockedOut.ColumnName = "IsLockedOut"
                colvarIsLockedOut.DataType = DbType.Boolean
                colvarIsLockedOut.MaxLength = 0
                colvarIsLockedOut.AutoIncrement = False
                colvarIsLockedOut.IsNullable = false
                colvarIsLockedOut.IsPrimaryKey = False
                colvarIsLockedOut.IsForeignKey = False
                colvarIsLockedOut.IsReadOnly = false
                 
                schema.Columns.Add(colvarIsLockedOut)
                
                Dim colvarCreateDate As New TableSchema.TableColumn(schema)
                colvarCreateDate.ColumnName = "CreateDate"
                colvarCreateDate.DataType = DbType.DateTime
                colvarCreateDate.MaxLength = 0
                colvarCreateDate.AutoIncrement = False
                colvarCreateDate.IsNullable = false
                colvarCreateDate.IsPrimaryKey = False
                colvarCreateDate.IsForeignKey = False
                colvarCreateDate.IsReadOnly = false
                 
                schema.Columns.Add(colvarCreateDate)
                
                Dim colvarLastLoginDate As New TableSchema.TableColumn(schema)
                colvarLastLoginDate.ColumnName = "LastLoginDate"
                colvarLastLoginDate.DataType = DbType.DateTime
                colvarLastLoginDate.MaxLength = 0
                colvarLastLoginDate.AutoIncrement = False
                colvarLastLoginDate.IsNullable = false
                colvarLastLoginDate.IsPrimaryKey = False
                colvarLastLoginDate.IsForeignKey = False
                colvarLastLoginDate.IsReadOnly = false
                 
                schema.Columns.Add(colvarLastLoginDate)
                
                Dim colvarLastPasswordChangedDate As New TableSchema.TableColumn(schema)
                colvarLastPasswordChangedDate.ColumnName = "LastPasswordChangedDate"
                colvarLastPasswordChangedDate.DataType = DbType.DateTime
                colvarLastPasswordChangedDate.MaxLength = 0
                colvarLastPasswordChangedDate.AutoIncrement = False
                colvarLastPasswordChangedDate.IsNullable = false
                colvarLastPasswordChangedDate.IsPrimaryKey = False
                colvarLastPasswordChangedDate.IsForeignKey = False
                colvarLastPasswordChangedDate.IsReadOnly = false
                 
                schema.Columns.Add(colvarLastPasswordChangedDate)
                
                Dim colvarLastLockoutDate As New TableSchema.TableColumn(schema)
                colvarLastLockoutDate.ColumnName = "LastLockoutDate"
                colvarLastLockoutDate.DataType = DbType.DateTime
                colvarLastLockoutDate.MaxLength = 0
                colvarLastLockoutDate.AutoIncrement = False
                colvarLastLockoutDate.IsNullable = false
                colvarLastLockoutDate.IsPrimaryKey = False
                colvarLastLockoutDate.IsForeignKey = False
                colvarLastLockoutDate.IsReadOnly = false
                 
                schema.Columns.Add(colvarLastLockoutDate)
                
                Dim colvarFailedPasswordAttemptCount As New TableSchema.TableColumn(schema)
                colvarFailedPasswordAttemptCount.ColumnName = "FailedPasswordAttemptCount"
                colvarFailedPasswordAttemptCount.DataType = DbType.Int32
                colvarFailedPasswordAttemptCount.MaxLength = 0
                colvarFailedPasswordAttemptCount.AutoIncrement = False
                colvarFailedPasswordAttemptCount.IsNullable = false
                colvarFailedPasswordAttemptCount.IsPrimaryKey = False
                colvarFailedPasswordAttemptCount.IsForeignKey = False
                colvarFailedPasswordAttemptCount.IsReadOnly = false
                 
                schema.Columns.Add(colvarFailedPasswordAttemptCount)
                
                Dim colvarFailedPasswordAttemptWindowStart As New TableSchema.TableColumn(schema)
                colvarFailedPasswordAttemptWindowStart.ColumnName = "FailedPasswordAttemptWindowStart"
                colvarFailedPasswordAttemptWindowStart.DataType = DbType.DateTime
                colvarFailedPasswordAttemptWindowStart.MaxLength = 0
                colvarFailedPasswordAttemptWindowStart.AutoIncrement = False
                colvarFailedPasswordAttemptWindowStart.IsNullable = false
                colvarFailedPasswordAttemptWindowStart.IsPrimaryKey = False
                colvarFailedPasswordAttemptWindowStart.IsForeignKey = False
                colvarFailedPasswordAttemptWindowStart.IsReadOnly = false
                 
                schema.Columns.Add(colvarFailedPasswordAttemptWindowStart)
                
                Dim colvarFailedPasswordAnswerAttemptCount As New TableSchema.TableColumn(schema)
                colvarFailedPasswordAnswerAttemptCount.ColumnName = "FailedPasswordAnswerAttemptCount"
                colvarFailedPasswordAnswerAttemptCount.DataType = DbType.Int32
                colvarFailedPasswordAnswerAttemptCount.MaxLength = 0
                colvarFailedPasswordAnswerAttemptCount.AutoIncrement = False
                colvarFailedPasswordAnswerAttemptCount.IsNullable = false
                colvarFailedPasswordAnswerAttemptCount.IsPrimaryKey = False
                colvarFailedPasswordAnswerAttemptCount.IsForeignKey = False
                colvarFailedPasswordAnswerAttemptCount.IsReadOnly = false
                 
                schema.Columns.Add(colvarFailedPasswordAnswerAttemptCount)
                
                Dim colvarFailedPasswordAnswerAttemptWindowStart As New TableSchema.TableColumn(schema)
                colvarFailedPasswordAnswerAttemptWindowStart.ColumnName = "FailedPasswordAnswerAttemptWindowStart"
                colvarFailedPasswordAnswerAttemptWindowStart.DataType = DbType.DateTime
                colvarFailedPasswordAnswerAttemptWindowStart.MaxLength = 0
                colvarFailedPasswordAnswerAttemptWindowStart.AutoIncrement = False
                colvarFailedPasswordAnswerAttemptWindowStart.IsNullable = false
                colvarFailedPasswordAnswerAttemptWindowStart.IsPrimaryKey = False
                colvarFailedPasswordAnswerAttemptWindowStart.IsForeignKey = False
                colvarFailedPasswordAnswerAttemptWindowStart.IsReadOnly = false
                 
                schema.Columns.Add(colvarFailedPasswordAnswerAttemptWindowStart)
                
                Dim colvarComment As New TableSchema.TableColumn(schema)
                colvarComment.ColumnName = "Comment"
                colvarComment.DataType = DbType.String
                colvarComment.MaxLength = 1073741823
                colvarComment.AutoIncrement = False
                colvarComment.IsNullable = true
                colvarComment.IsPrimaryKey = False
                colvarComment.IsForeignKey = False
                colvarComment.IsReadOnly = false
                 
                schema.Columns.Add(colvarComment)
                
                Dim colvarApplicationId As New TableSchema.TableColumn(schema)
                colvarApplicationId.ColumnName = "ApplicationId"
                colvarApplicationId.DataType = DbType.Guid
                colvarApplicationId.MaxLength = 0
                colvarApplicationId.AutoIncrement = False
                colvarApplicationId.IsNullable = false
                colvarApplicationId.IsPrimaryKey = False
                colvarApplicationId.IsForeignKey = False
                colvarApplicationId.IsReadOnly = false
                 
                schema.Columns.Add(colvarApplicationId)
                
                Dim colvarUserName As New TableSchema.TableColumn(schema)
                colvarUserName.ColumnName = "UserName"
                colvarUserName.DataType = DbType.String
                colvarUserName.MaxLength = 256
                colvarUserName.AutoIncrement = False
                colvarUserName.IsNullable = false
                colvarUserName.IsPrimaryKey = False
                colvarUserName.IsForeignKey = False
                colvarUserName.IsReadOnly = false
                 
                schema.Columns.Add(colvarUserName)
                
                Dim colvarMobileAlias As New TableSchema.TableColumn(schema)
                colvarMobileAlias.ColumnName = "MobileAlias"
                colvarMobileAlias.DataType = DbType.String
                colvarMobileAlias.MaxLength = 16
                colvarMobileAlias.AutoIncrement = False
                colvarMobileAlias.IsNullable = true
                colvarMobileAlias.IsPrimaryKey = False
                colvarMobileAlias.IsForeignKey = False
                colvarMobileAlias.IsReadOnly = false
                 
                schema.Columns.Add(colvarMobileAlias)
                
                Dim colvarIsAnonymous As New TableSchema.TableColumn(schema)
                colvarIsAnonymous.ColumnName = "IsAnonymous"
                colvarIsAnonymous.DataType = DbType.Boolean
                colvarIsAnonymous.MaxLength = 0
                colvarIsAnonymous.AutoIncrement = False
                colvarIsAnonymous.IsNullable = false
                colvarIsAnonymous.IsPrimaryKey = False
                colvarIsAnonymous.IsForeignKey = False
                colvarIsAnonymous.IsReadOnly = false
                 
                schema.Columns.Add(colvarIsAnonymous)
                
                Dim colvarLastActivityDate As New TableSchema.TableColumn(schema)
                colvarLastActivityDate.ColumnName = "LastActivityDate"
                colvarLastActivityDate.DataType = DbType.DateTime
                colvarLastActivityDate.MaxLength = 0
                colvarLastActivityDate.AutoIncrement = False
                colvarLastActivityDate.IsNullable = false
                colvarLastActivityDate.IsPrimaryKey = False
                colvarLastActivityDate.IsForeignKey = False
                colvarLastActivityDate.IsReadOnly = false
                 
                schema.Columns.Add(colvarLastActivityDate)
                
                BaseSchema = schema
				
				'add this schema to the provider
                'so we can query it later
                DataService.Providers("ClubStarterKitData").AddSchema("vw_aspnet_MembershipUsers",schema)
	        End If
	    End Sub
	    #End Region
	    
        #Region "Query Accessor"
        Public Shared Function CreateQuery As Query
            Return New Query(Schema)
        End Function
	    #End Region
	    
	    #Region ".ctors"
	    Public Sub New()
	        SetSQLProps()
            SetDefaults()
            MarkNew()
	    End Sub
	    
		Public Sub New(ByVal useDatabaseDefaults As Boolean)
			SetSQLProps()
			If useDatabaseDefaults = True Then
				ForceDefaults()
			End If
			MarkNew()
		End Sub
		
	    Public Sub New(ByVal keyID As Object)
	        SetSQLProps()
		    LoadByKey(keyID)
	    End Sub
    	
    	Public Sub new(ByVal columnName As String, ByVal columnValue As Object)
    	    SetSQLProps()
            LoadByParam(columnName , columnValue)
    	End Sub
	    #End Region
	    
	    #Region "Props"
	      
        <XmlAttribute("UserId")> _
        Public Property UserId() As Guid 
		    Get
			    Return GetColumnValue(Of Guid)("UserId")
			End Get
            Set(ByVal value As Guid)
			    SetColumnValue("UserId", value)
            End Set
        End Property
	      
        <XmlAttribute("PasswordFormat")> _
        Public Property PasswordFormat() As Integer 
		    Get
			    Return GetColumnValue(Of Integer)("PasswordFormat")
			End Get
            Set(ByVal value As Integer)
			    SetColumnValue("PasswordFormat", value)
            End Set
        End Property
	      
        <XmlAttribute("MobilePIN")> _
        Public Property MobilePIN() As String 
		    Get
			    Return GetColumnValue(Of String)("MobilePIN")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("MobilePIN", value)
            End Set
        End Property
	      
        <XmlAttribute("Email")> _
        Public Property Email() As String 
		    Get
			    Return GetColumnValue(Of String)("Email")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("Email", value)
            End Set
        End Property
	      
        <XmlAttribute("LoweredEmail")> _
        Public Property LoweredEmail() As String 
		    Get
			    Return GetColumnValue(Of String)("LoweredEmail")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("LoweredEmail", value)
            End Set
        End Property
	      
        <XmlAttribute("PasswordQuestion")> _
        Public Property PasswordQuestion() As String 
		    Get
			    Return GetColumnValue(Of String)("PasswordQuestion")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("PasswordQuestion", value)
            End Set
        End Property
	      
        <XmlAttribute("PasswordAnswer")> _
        Public Property PasswordAnswer() As String 
		    Get
			    Return GetColumnValue(Of String)("PasswordAnswer")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("PasswordAnswer", value)
            End Set
        End Property
	      
        <XmlAttribute("IsApproved")> _
        Public Property IsApproved() As Boolean 
		    Get
			    Return GetColumnValue(Of Boolean)("IsApproved")
			End Get
            Set(ByVal value As Boolean)
			    SetColumnValue("IsApproved", value)
            End Set
        End Property
	      
        <XmlAttribute("IsLockedOut")> _
        Public Property IsLockedOut() As Boolean 
		    Get
			    Return GetColumnValue(Of Boolean)("IsLockedOut")
			End Get
            Set(ByVal value As Boolean)
			    SetColumnValue("IsLockedOut", value)
            End Set
        End Property
	      
        <XmlAttribute("CreateDate")> _
        Public Property CreateDate() As DateTime 
		    Get
			    Return GetColumnValue(Of DateTime)("CreateDate")
			End Get
            Set(ByVal value As DateTime)
			    SetColumnValue("CreateDate", value)
            End Set
        End Property
	      
        <XmlAttribute("LastLoginDate")> _
        Public Property LastLoginDate() As DateTime 
		    Get
			    Return GetColumnValue(Of DateTime)("LastLoginDate")
			End Get
            Set(ByVal value As DateTime)
			    SetColumnValue("LastLoginDate", value)
            End Set
        End Property
	      
        <XmlAttribute("LastPasswordChangedDate")> _
        Public Property LastPasswordChangedDate() As DateTime 
		    Get
			    Return GetColumnValue(Of DateTime)("LastPasswordChangedDate")
			End Get
            Set(ByVal value As DateTime)
			    SetColumnValue("LastPasswordChangedDate", value)
            End Set
        End Property
	      
        <XmlAttribute("LastLockoutDate")> _
        Public Property LastLockoutDate() As DateTime 
		    Get
			    Return GetColumnValue(Of DateTime)("LastLockoutDate")
			End Get
            Set(ByVal value As DateTime)
			    SetColumnValue("LastLockoutDate", value)
            End Set
        End Property
	      
        <XmlAttribute("FailedPasswordAttemptCount")> _
        Public Property FailedPasswordAttemptCount() As Integer 
		    Get
			    Return GetColumnValue(Of Integer)("FailedPasswordAttemptCount")
			End Get
            Set(ByVal value As Integer)
			    SetColumnValue("FailedPasswordAttemptCount", value)
            End Set
        End Property
	      
        <XmlAttribute("FailedPasswordAttemptWindowStart")> _
        Public Property FailedPasswordAttemptWindowStart() As DateTime 
		    Get
			    Return GetColumnValue(Of DateTime)("FailedPasswordAttemptWindowStart")
			End Get
            Set(ByVal value As DateTime)
			    SetColumnValue("FailedPasswordAttemptWindowStart", value)
            End Set
        End Property
	      
        <XmlAttribute("FailedPasswordAnswerAttemptCount")> _
        Public Property FailedPasswordAnswerAttemptCount() As Integer 
		    Get
			    Return GetColumnValue(Of Integer)("FailedPasswordAnswerAttemptCount")
			End Get
            Set(ByVal value As Integer)
			    SetColumnValue("FailedPasswordAnswerAttemptCount", value)
            End Set
        End Property
	      
        <XmlAttribute("FailedPasswordAnswerAttemptWindowStart")> _
        Public Property FailedPasswordAnswerAttemptWindowStart() As DateTime 
		    Get
			    Return GetColumnValue(Of DateTime)("FailedPasswordAnswerAttemptWindowStart")
			End Get
            Set(ByVal value As DateTime)
			    SetColumnValue("FailedPasswordAnswerAttemptWindowStart", value)
            End Set
        End Property
	      
        <XmlAttribute("Comment")> _
        Public Property Comment() As String 
		    Get
			    Return GetColumnValue(Of String)("Comment")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("Comment", value)
            End Set
        End Property
	      
        <XmlAttribute("ApplicationId")> _
        Public Property ApplicationId() As Guid 
		    Get
			    Return GetColumnValue(Of Guid)("ApplicationId")
			End Get
            Set(ByVal value As Guid)
			    SetColumnValue("ApplicationId", value)
            End Set
        End Property
	      
        <XmlAttribute("UserName")> _
        Public Property UserName() As String 
		    Get
			    Return GetColumnValue(Of String)("UserName")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("UserName", value)
            End Set
        End Property
	      
        <XmlAttribute("MobileAlias")> _
        Public Property MobileAlias() As String 
		    Get
			    Return GetColumnValue(Of String)("MobileAlias")
			End Get
            Set(ByVal value As String)
			    SetColumnValue("MobileAlias", value)
            End Set
        End Property
	      
        <XmlAttribute("IsAnonymous")> _
        Public Property IsAnonymous() As Boolean 
		    Get
			    Return GetColumnValue(Of Boolean)("IsAnonymous")
			End Get
            Set(ByVal value As Boolean)
			    SetColumnValue("IsAnonymous", value)
            End Set
        End Property
	      
        <XmlAttribute("LastActivityDate")> _
        Public Property LastActivityDate() As DateTime 
		    Get
			    Return GetColumnValue(Of DateTime)("LastActivityDate")
			End Get
            Set(ByVal value As DateTime)
			    SetColumnValue("LastActivityDate", value)
            End Set
        End Property
	    
	    #End Region
    
	    #Region "Columns Struct"
	    Public Structure Columns
			Dim x as Integer
	        
            Public Shared UserId As String = "UserId"
            
            Public Shared PasswordFormat As String = "PasswordFormat"
            
            Public Shared MobilePIN As String = "MobilePIN"
            
            Public Shared Email As String = "Email"
            
            Public Shared LoweredEmail As String = "LoweredEmail"
            
            Public Shared PasswordQuestion As String = "PasswordQuestion"
            
            Public Shared PasswordAnswer As String = "PasswordAnswer"
            
            Public Shared IsApproved As String = "IsApproved"
            
            Public Shared IsLockedOut As String = "IsLockedOut"
            
            Public Shared CreateDate As String = "CreateDate"
            
            Public Shared LastLoginDate As String = "LastLoginDate"
            
            Public Shared LastPasswordChangedDate As String = "LastPasswordChangedDate"
            
            Public Shared LastLockoutDate As String = "LastLockoutDate"
            
            Public Shared FailedPasswordAttemptCount As String = "FailedPasswordAttemptCount"
            
            Public Shared FailedPasswordAttemptWindowStart As String = "FailedPasswordAttemptWindowStart"
            
            Public Shared FailedPasswordAnswerAttemptCount As String = "FailedPasswordAnswerAttemptCount"
            
            Public Shared FailedPasswordAnswerAttemptWindowStart As String = "FailedPasswordAnswerAttemptWindowStart"
            
            Public Shared Comment As String = "Comment"
            
            Public Shared ApplicationId As String = "ApplicationId"
            
            Public Shared UserName As String = "UserName"
            
            Public Shared MobileAlias As String = "MobileAlias"
            
            Public Shared IsAnonymous As String = "IsAnonymous"
            
            Public Shared LastActivityDate As String = "LastActivityDate"
            
	    End Structure
	    #End Region
    End Class
End Namespace
