<%@ Page Language="VB" MasterPageFile="~/Default.master" AutoEventWireup="false" CodeFile="Settings.aspx.vb" Inherits="Admin_Settings" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<div id="body">
    <div class="fullwidth">
    <h2>Edit Settings</h2>
        <asp:ObjectDataSource ID="settingsds" runat="server" DataObjectTypeName="ClubStarterKit.Data.WebSettings" SelectMethod="LoadSetting" TypeName="ClubStarterKit.Web.Settings" UpdateMethod="SaveSetting"></asp:ObjectDataSource>
        <br />
        &nbsp;<asp:FormView ID="FormView1" runat="server" DataSourceID="settingsds" DefaultMode="Edit">
            <EditItemTemplate>
                <table>
                    <tr>
                        <td style="width: 318px">
                            Name</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>' Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="NameTextBox"
                                ErrorMessage="Please enter a club name." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Slogan</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="SloganTextBox" runat="server" Text='<%# Bind("Slogan") %>' Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="SloganTextBox"
                                ErrorMessage="Please enter a club slogan." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Address</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="AddressTextBox" runat="server" Height="30px" Text='<%# Bind("Address") %>'
                                Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="AddressTextBox"
                                ErrorMessage="Please enter a club address." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Copyright Message</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="CopyrightTextBox" runat="server" Text='<%# Bind("Copyright") %>'
                                Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="CopyrightTextBox"
                                ErrorMessage="Please enter a copyright message." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Site URL</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="SiteURLTextBox" runat="server" Text='<%# Bind("SiteURL") %>' Width="300px"></asp:TextBox><br />
                            Must End in a forward slash (/)</td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="SiteURLTextBox"
                                ErrorMessage="Please enter the site url, ending in a /." ValidationGroup="Settings">*</asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Webmaster Email</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="WebmasterTextBox" runat="server" Text='<%# Bind("Webmaster") %>'
                                Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ControlToValidate="WebmasterTextBox"
                                ErrorMessage="Please enter a webmaster email." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Mail Server</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="MailServerTextBox" runat="server" Text='<%# Bind("MailServer") %>'
                                Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ControlToValidate="MailServerTextBox"
                                ErrorMessage="Please enter a mail server." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Mail Server Username</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="MailUsernameTextBox" runat="server" Text='<%# Bind("MailUsername") %>'
                                Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ControlToValidate="MailUsernameTextBox"
                                ErrorMessage="Please enter a mail server username." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Mail Server Password</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="MailPasswordTextBox" runat="server" Text='<%# Bind("MailPassword") %>'
                                Width="300px"></asp:TextBox></td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ControlToValidate="MailPasswordTextBox"
                                ErrorMessage="Please enter a mail server password." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Email Verification Required</td>
                        <td style="width: 303px">
                            <asp:CheckBox ID="EmailVerificationCheckBox" runat="server" Checked='<%# Bind("EmailVerification") %>' /></td>
                        <td style="width: 125px">
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Admin Verification Required</td>
                        <td style="width: 303px">
                            <asp:CheckBox ID="AdminVerificationCheckBox" runat="server" Checked='<%# Bind("AdminVerification") %>' /></td>
                        <td style="width: 125px">
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Report CMS Update</td>
                        <td style="width: 303px">
                            <asp:CheckBox ID="ReportCMSCheckBox" runat="server" Checked='<%# Bind("ReportCMS") %>' /></td>
                        <td style="width: 125px">
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Page Size</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="PageSizeTextBox" runat="server" Text='<%# Bind("PageSize") %>'></asp:TextBox><br />
                            This is the number of blog posts, events, and news displayed on the homepage.</td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ControlToValidate="PageSizeTextBox"
                                ErrorMessage="Please enter a page size." ValidationGroup="Settings">*</asp:RequiredFieldValidator></td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Is Highest Score the Winner</td>
                        <td style="width: 303px">
                            <asp:CheckBox ID="IsHighestWinnerCheckBox" runat="server" Checked='<%# Bind("IsHighestWinner") %>' /></td>
                        <td style="width: 125px">
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 318px">
                            Moderation Level</td>
                        <td style="width: 303px">
                            <asp:TextBox ID="ModerationLevelTextBox" runat="server" Text='<%# Bind("ModerationLevel") %>'></asp:TextBox><br />
                            0 = None<br />
                            1 = First Posts Moderated<br />
                            2 = All Posts Moderated</td>
                        <td style="width: 125px">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator11" runat="server" ControlToValidate="ModerationLevelTextBox"
                                ErrorMessage="Please enter a moderation level." ValidationGroup="Settings">*</asp:RequiredFieldValidator>
                            <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="ModerationLevelTextBox"
                                ErrorMessage="Please enter a valid moderation level." MaximumValue="2" MinimumValue="0"
                                ValidationGroup="Settings">*</asp:RangeValidator></td>
                    </tr>
                </table>
                <br />
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="Settings" />
                <br />
                <br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                    Text="Update" ValidationGroup="Settings"></asp:LinkButton>
                <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                    Text="Cancel"></asp:LinkButton>
            </EditItemTemplate>
            <InsertItemTemplate>
                Address:
                <asp:TextBox ID="AddressTextBox" runat="server" Text='<%# Bind("Address") %>'>
                </asp:TextBox><br />
                Webmaster:
                <asp:TextBox ID="WebmasterTextBox" runat="server" Text='<%# Bind("Webmaster") %>'>
                </asp:TextBox><br />
                IsDirty:
                <asp:CheckBox ID="IsDirtyCheckBox" runat="server" Checked='<%# Bind("IsDirty") %>' /><br />
                SiteURL:
                <asp:TextBox ID="SiteURLTextBox" runat="server" Text='<%# Bind("SiteURL") %>'>
                </asp:TextBox><br />
                AdminVerification:
                <asp:CheckBox ID="AdminVerificationCheckBox" runat="server" Checked='<%# Bind("AdminVerification") %>' /><br />
                MailServer:
                <asp:TextBox ID="MailServerTextBox" runat="server" Text='<%# Bind("MailServer") %>'>
                </asp:TextBox><br />
                LengthExceptionMessage:
                <asp:TextBox ID="LengthExceptionMessageTextBox" runat="server" Text='<%# Bind("LengthExceptionMessage") %>'>
                </asp:TextBox><br />
                IsHighestWinner:
                <asp:CheckBox ID="IsHighestWinnerCheckBox" runat="server" Checked='<%# Bind("IsHighestWinner") %>' /><br />
                PageSize:
                <asp:TextBox ID="PageSizeTextBox" runat="server" Text='<%# Bind("PageSize") %>'>
                </asp:TextBox><br />
                EmailVerification:
                <asp:CheckBox ID="EmailVerificationCheckBox" runat="server" Checked='<%# Bind("EmailVerification") %>' /><br />
                Id:
                <asp:TextBox ID="IdTextBox" runat="server" Text='<%# Bind("Id") %>'>
                </asp:TextBox><br />
                ReportCMS:
                <asp:CheckBox ID="ReportCMSCheckBox" runat="server" Checked='<%# Bind("ReportCMS") %>' /><br />
                MailPassword:
                <asp:TextBox ID="MailPasswordTextBox" runat="server" Text='<%# Bind("MailPassword") %>'>
                </asp:TextBox><br />
                InvalidTypeExceptionMessage:
                <asp:TextBox ID="InvalidTypeExceptionMessageTextBox" runat="server" Text='<%# Bind("InvalidTypeExceptionMessage") %>'>
                </asp:TextBox><br />
                ModerationLevel:
                <asp:TextBox ID="ModerationLevelTextBox" runat="server" Text='<%# Bind("ModerationLevel") %>'>
                </asp:TextBox><br />
                ProviderName:
                <asp:TextBox ID="ProviderNameTextBox" runat="server" Text='<%# Bind("ProviderName") %>'>
                </asp:TextBox><br />
                Slogan:
                <asp:TextBox ID="SloganTextBox" runat="server" Text='<%# Bind("Slogan") %>'>
                </asp:TextBox><br />
                Copyright:
                <asp:TextBox ID="CopyrightTextBox" runat="server" Text='<%# Bind("Copyright") %>'>
                </asp:TextBox><br />
                IsLoaded:
                <asp:CheckBox ID="IsLoadedCheckBox" runat="server" Checked='<%# Bind("IsLoaded") %>' /><br />
                IsNew:
                <asp:CheckBox ID="IsNewCheckBox" runat="server" Checked='<%# Bind("IsNew") %>' /><br />
                Name:
                <asp:TextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>'>
                </asp:TextBox><br />
                MailUsername:
                <asp:TextBox ID="MailUsernameTextBox" runat="server" Text='<%# Bind("MailUsername") %>'>
                </asp:TextBox><br />
                NullExceptionMessage:
                <asp:TextBox ID="NullExceptionMessageTextBox" runat="server" Text='<%# Bind("NullExceptionMessage") %>'>
                </asp:TextBox><br />
                TableName:
                <asp:TextBox ID="TableNameTextBox" runat="server" Text='<%# Bind("TableName") %>'>
                </asp:TextBox><br />
                <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                    Text="Insert">
                </asp:LinkButton>
                <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                    Text="Cancel">
                </asp:LinkButton>
            </InsertItemTemplate>
        </asp:FormView>
    </div>
</div>
</asp:Content>