<%@ Page Language="VB" MasterPageFile="~/Default.master" Strict="false" AutoEventWireup="false" 
    CodeFile="Game.aspx.vb" Inherits="Statistics_Game" title="Bridgwater Sports | Match Stats" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">


<%="<script type=""text/javascript"">setPopUpLoadingPage('" & Page.ResolveUrl("~/loading.aspx") & "');</script>"%>
<div id="body">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Path="~/js/modal/submodalsource.js" />
            <asp:ScriptReference Path="~/js/CricketBLL.js" />
        </Scripts>
    </asp:ScriptManager>
    
    <div class="fullwidth">
        <table cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td>
                    <asp:HyperLink ID="AllStats" runat="server" Text="All Statistics" NavigateUrl="~/CricketStats/Default.aspx" />&raquo;
                    <asp:Label ID="TeamStats" runat="server" />
                </td>
            </tr>
        </table>
    </div>
    
    <div class="fullwidth">
        <h2><asp:Literal ID="GameTitle" runat="server" />&nbsp;</h2>
        
        <br />
        <div style="text-align:center;">
                <asp:Literal ID="Score" runat="server" />
        </div>
        <div style="text-align:center;" id="divScore" runat="server">
            <table runat="server" id="tblScoreSummary" class="ScoreSummary" border="0">
                <tr>
                    <td>
                        <asp:Label ID="lblTeamName" runat="server" Text=""></asp:Label></td>
                    <td>
                        <asp:Label ID="lblTeamRuns" runat="server" Text=""></asp:Label></td>
                    <td>for</td>
                    <td>
                        <asp:Label ID="lblTeamWickets" runat="server" Text=""></asp:Label></td>
                    <td>off 
                        <asp:Label ID="lblTeamOvers" runat="server" Text=""></asp:Label> Overs</td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblOppName" runat="server" Text=""></asp:Label></td>
                    <td>
                        <asp:Label ID="lblOppRuns" runat="server" Text=""></asp:Label></td>
                    <td>for</td>
                    <td>
                        <asp:Label ID="lblOppWickets" runat="server" Text=""></asp:Label></td>
                    <td>off 
                        <asp:Label ID="lblOppOvers" runat="server" Text=""></asp:Label> Overs</td>
                </tr>
            </table>
        </div>
        <asp:Hyperlink ID="newslink" runat="server" />
        <%If IsGameRecorder() = True Then%>
            <%--The css class for EditLink (or any submodal trigger) is submods-{width}-{height}--%>
                    <asp:HyperLink ID="EditScore" runat="server" Text="Edit Game Score" />
        <%End If %>
    </div>

    <div class="fullwidth" style="font-size: 12px;">
        <h3><asp:Label ID="team1name" runat="server" /></h3>
        <%If IsGameRecorder() = True Then%>
            <div style="width: 98%; text-align: right;">
            <%--The css class for EditLink (or any submodal trigger) is submods-{width}-{height}--%>
                <asp:HyperLink ID="hlEditBatting" runat="server" Text="Edit" />
            </div>
        <%End If %>
        <h5>Batting</h5>
        <br />
        
        <asp:GridView ID="gvBatting" runat="server" GridLines="None" Width="100%" 
            DataSourceID="" AutoGenerateColumns="false" CellPadding="4">
            <AlternatingRowStyle BackColor="#FFF3A5" />
            <RowStyle />
            <Columns>
                <asp:BoundField HeaderText="" DataField="BatNumber" ItemStyle-HorizontalAlign="Left" ItemStyle-Width="20px" />
                <asp:TemplateField HeaderText="Player" ItemStyle-Font-Size="10" ItemStyle-Width="40%">
                    <ItemTemplate>
                        <asp:HyperLink ID="PlayerHyperLink" runat="server" Text='<%# Eval("Player.PlayerName") %>' 
                        NavigateUrl='<%# "~/CricketStats/player.aspx?playerid=" & EVal("Player.PlayerId").ToString() %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="D.N.B" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Font-Size="14" Font-Names="WingDings" Text="" Visible='<%# Eval("DNB") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="N.O" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:Label ID="Label2" runat="server" Font-Size="14" Font-Names="WingDings" Text="" Visible='<%# Eval("NotOut") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField HeaderText="How Out" DataField="HowOut" ItemStyle-Width="100px" />
                <asp:BoundField HeaderText="Bowler" DataField="BowlersName" ItemStyle-Width="100px" />
                <asp:BoundField HeaderText="Runs" DataField="RunsScored" ItemStyle-Font-Size="14px" ItemStyle-HorizontalAlign="Center"/>
                <asp:BoundField HeaderText="Mins" DataField="MinutesInBat" ItemStyle-HorizontalAlign="Center"/>
                <asp:BoundField HeaderText="Balls" DataField="BallsFaced" ItemStyle-HorizontalAlign="Center"/>
                <asp:BoundField HeaderText="4s" DataField="FoursHit" ItemStyle-HorizontalAlign="Center" />
                <asp:BoundField HeaderText="6s" DataField="SixesHit" ItemStyle-HorizontalAlign="Center"/>
            </Columns>
        </asp:GridView>
    </div>
    
    <div class="fullwidth" style="font-size: 12px;">
        <h3><asp:Label ID="Label1" runat="server" /></h3>
        <%If IsGameRecorder() = True Then%>
            <div style="width: 98%; text-align: right;">
            <%--The css class for EditLink (or any submodal trigger) is submods-{width}-{height}--%>
                <asp:HyperLink ID="hlEditBowling" runat="server" Text="Edit"  />
            </div>
        <%End If %>
        <h5>Bowling</h5>
        <br />
        
        <asp:GridView ID="gvBowling" runat="server" GridLines="None" Width="100%" CellPadding="4" 
            DataSourceID="" AutoGenerateColumns="false">
            <AlternatingRowStyle BackColor="#FFF3A5" />
            <HeaderStyle />
            <RowStyle />
            <Columns>
                <asp:BoundField HeaderText="" DataField="BowlerNumber" ItemStyle-HorizontalAlign="Left" ItemStyle-Width="20px" />
                <asp:TemplateField HeaderText="Player" ItemStyle-Font-Size="10" ItemStyle-Width="40%">
                    <ItemTemplate>
                        <asp:HyperLink ID="PlayerHyperLink" runat="server" Text='<%# Eval("Player.PlayerName") %>' 
                        NavigateUrl='<%# "~/CricketStats/player.aspx?playerid=" & EVal("Player.PlayerId").ToString() %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField HeaderText="Overs" DataField="OversBowled" ItemStyle-HorizontalAlign="Center" />
                <asp:BoundField HeaderText="Maidens" DataField="Maidens" ItemStyle-HorizontalAlign="Center"/>
                <asp:BoundField HeaderText="Runs" DataField="Runs" ItemStyle-HorizontalAlign="Center" />
                <asp:BoundField HeaderText="Wickets" DataField="Wickets" ItemStyle-HorizontalAlign="Center" />
                <asp:BoundField HeaderText="Catches" DataField="Catches" ItemStyle-HorizontalAlign="Center" />
            </Columns>
        </asp:GridView>
    </div>
    
    <div class="fullwidth">
        <h3><asp:Label ID="team2name" runat="server" /></h3>
        <br />
        <asp:GridView ID="Team2StatsGrid" runat="server" GridLines="None" Width="100%" DataSourceID="" AutoGenerateColumns="false">
            <Columns>
                <asp:BoundField SortExpression="DisplayName" HeaderText="Name" DataField="DisplayName" />
                <asp:BoundField SortExpression="Catches" HeaderText="Catches" DataField="Catches" />
                <asp:BoundField SortExpression="Runs" HeaderText="Runs" DataField="Runs" ItemStyle-Font-Names="14" />
                <asp:BoundField SortExpression="Saves" HeaderText="Saves" DataField="Saves" />
                <asp:CheckBoxField SortExpression="Injured" DataField="Injured" HeaderText="Injured" />
            </Columns>
        </asp:GridView>
</div>
</div>
</asp:Content>