<%@ Application Language="VB" %>
<%@ Import Namespace="System.Net.Mail" %>
<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="System.Web.SessionState" %>
<%@ Import Namespace="System.Diagnostics" %>
<%@ Import Namespace="System.Web.Mail" %>
<%@ Import Namespace="System.Configuration" %>
<%@ Import Namespace="ClubStarterKit.Web.Controls" %>

<script runat="server">

    
    Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
        Application("activeUsers") = 0
    End Sub
    
    Sub Application_End(ByVal sender As Object, ByVal e As EventArgs)
        
    End Sub
        
    Sub Session_Start(ByVal sender As Object, ByVal e As EventArgs)
        Application.Lock()
        Session.Item("SettingsSet") = False
        ClubStarterKit.Web.Settings.PushToSession()
        Application("activeUsers") = CType(Application("activeUsers"), Integer) + 1
        Application.UnLock()
    End Sub

    Sub Session_End(ByVal sender As Object, ByVal e As EventArgs)
        Application.Lock()
        Application("activeUser") = CType(Application("activeUsers"), Integer) - 1
        Application.UnLock()
    End Sub
    
    Sub Application_Error(ByVal sender As Object, ByVal e As EventArgs)
        Dim ErrorDescription As String = Server.GetLastError.ToString()

        If LCase(System.Configuration.ConfigurationManager.AppSettings("ErrorReportEventLog")) = "true" Then
            Dim EventLogName As String = System.Configuration.ConfigurationManager.AppSettings("WebsiteName") & " Error"
            If (Not EventLog.SourceExists(EventLogName)) Then
                EventLog.CreateEventSource(EventLogName, EventLogName)
            End If

            Dim Log As New EventLog()
            Log.Source = EventLogName
            Log.WriteEntry(ErrorDescription, EventLogEntryType.Error)
        End If
        
    End Sub

</script>