Imports System
Imports System.Configuration
Imports System.Data
Imports System.Data.SqlClient
Imports System.Text
Imports System.Web
Imports System.Xml
Imports Subsonic
Imports ClubStarterKit.Data

Partial Class EventRss
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Response.Clear()
        Response.ContentType = "text/xml"
        Dim objX As New XmlTextWriter(Response.OutputStream, Encoding.UTF8)
        objX.WriteStartDocument()
        objX.WriteStartElement("rss")
        objX.WriteAttributeString("version", "2.0")
        objX.WriteStartElement("channel")
        objX.WriteElementString("title", ClubStarterKit.Web.Settings.Name() & ": Photo Albums")
        objX.WriteElementString("link", ClubStarterKit.Web.Settings.SiteURL() & "photo/list.aspx")
        objX.WriteElementString("description", "Photo Albums for " & ClubStarterKit.Web.Settings.Name())
        objX.WriteElementString("copyright", ClubStarterKit.Web.Settings.Copyright())
        objX.WriteElementString("ttl", "20")
        Dim qry As New Query(Tables.Albums)
        qry.QueryType = QueryType.Select
        qry.OrderBy = OrderBy.Desc(Albums.Columns.Albumid)
        qry.SelectList = Albums.Columns.Albumid & "," & Albums.Columns.Title
        Dim objReader As SqlDataReader = qry.ExecuteReader()
        While objReader.Read()
            objX.WriteStartElement("item")
            objX.WriteElementString("title", objReader.GetString(1))
            objX.WriteElementString("link", ClubStarterKit.Web.Settings.SiteURL() & "Photo/contents.aspx?Albumid=" & objReader.GetInt32(0))
            objX.WriteEndElement()
        End While
        objReader.Close()
        objX.WriteEndElement()
        objX.WriteEndElement()
        objX.WriteEndDocument()
        objX.Flush()
        objX.Close()
        Response.End()
    End Sub
End Class
