Imports System 
Imports System.Text 
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.Common
Imports System.Collections
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration 
Imports System.Xml 
Imports System.Xml.Serialization
Imports SubSonic 
Imports SubSonic.Utilities
Namespace Data
    ''' <summary>
    ''' Controller class for DownloadsInNews
    ''' </summary>
		<System.ComponentModel.DataObject()> Public Partial Class DownloadsInNewsController
    
        ' Preload our schema..
        Dim thisSchemaLoad As DownloadsInNews = New DownloadsInNews()
        Private strUserName As String = String.Empty
        Protected ReadOnly Property UserName() As String
            Get
				If strUserName.Length = 0 Then
		        
    				If Not System.Web.HttpContext.Current Is Nothing Then
						strUserName = System.Web.HttpContext.Current.User.Identity.Name
					Else
		        		strUserName = System.Threading.Thread.CurrentPrincipal.Identity.Name
					End If
					Return strUserName
				End If
				Return strUserName
			End Get
        End Property
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchAll() As DownloadsInNewsCollection
        
            Dim coll As DownloadsInNewsCollection = New DownloadsInNewsCollection()
            Dim qry As Query = New Query(DownloadsInNews.Schema)
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
            
        End Function
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByID(ByVal Id As Object) As DownloadsInNewsCollection 
        
            Dim coll As DownloadsInNewsCollection = New DownloadsInNewsCollection().Where("id", Id).Load()
            Return coll
        
        End Function
        
        <DataObjectMethod(DataObjectMethodType.Select, True)> Public Function FetchByQuery(ByVal qry As SubSonic.Query) As DownloadsInNewsCollection 
        
            Dim coll As DownloadsInNewsCollection = New DownloadsInNewsCollection()
            coll.LoadAndCloseReader(qry.ExecuteReader())
            Return coll
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, True)> Public Function Delete(ByVal Id As Object) as Boolean
        
            Return (DownloadsInNews.Delete(Id) = 1)
        
        End Function
        <DataObjectMethod(DataObjectMethodType.Delete, False)> Public Function Destroy(ByVal Id As Object) as Boolean
        
            Return (DownloadsInNews.Destroy(Id) = 1)
        
        End Function
        
    	
	    ''' <summary>
	    ''' Inserts a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Insert, True)> Public Sub Insert(ByVal Newsid As Integer,ByVal Downloadid As Integer)
	   
		    Dim item As DownloadsInNews = New DownloadsInNews()
		    
            item.Newsid = Newsid
            
            item.Downloadid = Downloadid
            
	    
		    item.Save(UserName)
	   
	   End Sub
    	
	    ''' <summary>
	    ''' Updates a record, can be used with the Object Data Source
	    ''' </summary>
        <DataObjectMethod(DataObjectMethodType.Update, True)> Public Sub Update(ByVal Id As Integer,ByVal Newsid As Integer,ByVal Downloadid As Integer)
	    
		    Dim item As DownloadsInNews = New DownloadsInNews()
		    
				item.Id = Id
				
				item.Newsid = Newsid
				
				item.Downloadid = Downloadid
				
		    item.MarkOld()
		    item.Save(UserName)
	    
	    End Sub
    End Class
End Namespace
