<%@ Page Language="VB" AutoEventWireup="true" EnableTheming="false" CodeFile="EditScore.aspx.vb" 
    Inherits="Statistics_EditScore"  %>

<%@ Register TagPrefix="Club" Namespace="ClubStarterKit.Web.Controls" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Edit Score</title>
    <style type="text/css">
        .txtEditScore{
            width: 230px;
        }
    </style>
</head>
<body>
    
    <form id="form1" runat="server" style="padding: 10px;">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
        <div>
            <h2>
                Edit Game Score<br />
            </h2>
            <table>
                <tr>
                    <td style="width: 100px">
                        Team1 Overs</td>
                    <td style="width: 250px">
                        <asp:TextBox ID="txtOvers" CssClass="txtEditScore" runat="server" MaxLength="2"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
                            runat="server"
                            ControlToValidate="txtOvers"
                            ValidationGroup="EditScore" 
                            ErrorMessage="">*</asp:RequiredFieldValidator>
                        </td>
                </tr>
                <tr>
                    <td>
                        Team1 Wickets Down</td>
                    <td>
                        <asp:TextBox ID="txtWickets" CssClass="txtEditScore" runat="server" MaxLength="2"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" 
                            runat="server"
                            ControlToValidate="txtWickets"
                            ValidationGroup="EditScore" 
                            ErrorMessage="">*</asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td>
                        Team1 Score</td>
                    <td>
                        <asp:TextBox ID="txtScore" CssClass="txtEditScore" runat="server" MaxLength="3"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3" 
                            runat="server"
                            ControlToValidate="txtScore"
                            ValidationGroup="EditScore" 
                            ErrorMessage="">*</asp:RequiredFieldValidator></td>
                </tr>
                <tr>
                    <td style="height: 3px" colspan="100%"></td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblOppName1" runat="server" >Opponent</asp:Label> Overs</td>
                    <td>
                        <asp:TextBox ID="txtOppOvers" CssClass="txtEditScore" runat="server" MaxLength="2"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4" 
                            runat="server"
                            ControlToValidate="txtOppOvers"
                            ValidationGroup="EditScore" 
                            ErrorMessage="">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblOppName2" runat="server" >Opponent</asp:Label> Wickets</td>
                    <td>
                        <asp:TextBox ID="txtOppWickets" CssClass="txtEditScore" runat="server" MaxLength="2"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator5" 
                            runat="server"
                            ControlToValidate="txtOppWickets"
                            ValidationGroup="EditScore" 
                            ErrorMessage="">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblOppName3" runat="server" >Opponent</asp:Label> Score</td>
                    <td>
                        <asp:TextBox ID="txtOppScore" CssClass="txtEditScore" runat="server" MaxLength="3"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator6" 
                            runat="server"
                            ControlToValidate="txtOppScore"
                            ValidationGroup="EditScore" 
                            ErrorMessage="">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td style="height: 3px" colspan="100%"></td>
                </tr>
                <tr>
                    <td>
                        Result</td>
                    <td>
                        <asp:DropDownList ID="ddlResult" runat="server">
                            <asp:ListItem>Win</asp:ListItem>
                            <asp:ListItem>Loose</asp:ListItem>
                            <asp:ListItem>Draw</asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        Time Finished</td>
                    <td>
                        <Club:TimePicker ID="tpFinished" CssClass="txtEditScore" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        Comments</td>
                    <td>
                        <asp:TextBox ID="txtComments" TextMode="MultiLine" Height="50px" CssClass="txtEditScore" 
                            Font-Names="Arial" runat="server"></asp:TextBox>
                    </td>
                </tr>
            </table>
            
        </div>
        </ContentTemplate>
    </asp:UpdatePanel>
        <asp:Label ID="lblError" runat="server" Text="Label" Visible="False"></asp:Label><br />
        <asp:Button ID="Button1" runat="server" Text="Close"  OnClientClick="parent.location.reload(true); window.close()"  />
        <asp:Button ID="UpdateScore" runat="server" Text="Update Score" ValidationGroup="EditScore" />

        
    </form>
</body>
</html>
