<%@ Page Language="VB" MasterPageFile="~/Default.master" AutoEventWireup="false" CodeFile="NewGame.aspx.vb" Inherits="Statistics_NewGame" title="Bridgwater Sports | New Game" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<div id="body">
    <div class="fullwidth">
        <table cellspacing="0" cellpadding="0" width="100%">
            <tr>
                <td>
                    <asp:HyperLink ID="AllStats" runat="server" Text="All Statistics" NavigateUrl="~/CricketStats/Default.aspx" />&nbsp;&raquo;&nbsp;
                    <asp:Label ID="TeamStats" runat="server" />
                </td>
            </tr>
        </table>
    </div>
<div class="fullwidth">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <br />
    <h2>New Game</h2>
    <br />
    <table style="width: 540px">
        <tr>
            <td style="width: 55px">
        Season:</td>
            <td style="width: 200px">
                <asp:DropDownList ID="SeasonsDropDown" runat="server" DataTextField="SeasonName" DataValueField="SeasonId"></asp:DropDownList></td>
        </tr>
        <tr>
            <td style="width: 55px">
        Team:</td>
            <td style="">
                <asp:DropDownList ID="TeamDropDown" runat="server" DataSourceID="" DataTextField="TeamName" DataValueField="TeamId"></asp:DropDownList></td>
        </tr>
        <tr>
            <td style="width: 55px">
        Opposition:</td>
            <td style="">
                <asp:TextBox ID="txtOpposition" runat="server" Width="150px"></asp:TextBox>
                <asp:RequiredFieldValidator ControlToValidate="txtOpposition" ID="RequiredFieldValidator1" runat="server" ErrorMessage="" CssClass="fieldValidator">*</asp:RequiredFieldValidator>
                </td>
        </tr>
        <tr>
            <td style="width: 55px">
        Date:</td>
            <td style="">
                <asp:Textbox ID="DateTXT" runat="server" Width="125px"></asp:Textbox>
                <asp:ImageButton ID="calbttn" runat="server" SkinID="calendar" />
        <cc1:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="DateTXT" 
            PopupButtonID="calbttn" Format="dd/MM/yyyy">
        </cc1:CalendarExtender>
            </td>
        </tr>
        <tr>
            <td style="width: 55px">
        Time: 
            </td>
            <td style="">
                <asp:DropDownList ID="ddlStartTime" runat="server" Width="125px">
                    <asp:ListItem Selected="True">14:00</asp:ListItem>
                    <asp:ListItem>12:30</asp:ListItem>
                    <asp:ListItem>13:30</asp:ListItem>
                    <asp:ListItem>18:00</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>Home or Away</td>
            <td>
                <asp:RadioButtonList ID="rblHomeAway" runat="server">
                    <asp:ListItem Selected="True" Value="Home">Home</asp:ListItem>
                    <asp:ListItem Value="Away">Away</asp:ListItem>
                </asp:RadioButtonList>
            </td>
        </tr>
    </table>
    <br />
        <br />
        
        <asp:Literal ID="ErrorStatus" runat="server" /><br />
        <Club:RolloverButton ID="AddGame" runat="server" Text="Add Game" />
</div>
</div>
</asp:Content>