<%@ Page Language="VB" MasterPageFile="~/Default.master" AutoEventWireup="false" CodeFile="Player.aspx.vb" 
Inherits="Statistics_Player" title="Bridgwater Sports | Player Stats" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
            </asp:ScriptManager>
    <div id="body">
        <div class="fullwidth">
            <table cellspacing="0" cellpadding="0" width="100%">
                <tr>
                    <td>
            <asp:HyperLink ID="AllStats" runat="server" Text="All Statistics" NavigateUrl="~/CricketStats/Default.aspx" />&raquo; <asp:HyperLink ID="TeamStats" runat="server" /> &raquo; <asp:Label ID="PlayerName" runat="server" />
                    </td>
                    <td align="right">
                        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
                            SelectMethod="FetchAll" TypeName="ClubStarterKit.Data.SeasonsController"></asp:ObjectDataSource>
                    <asp:UpdatePanel ID="DropDownUP" runat="server">
                        <ContentTemplate>
                            <asp:DropDownList ID="SeasonsDropDown" runat="server" AutoPostBack="True" DataSourceID="" DataTextField="SeasonName" DataValueField="SeasonId"></asp:DropDownList>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    
                    </td>
                </tr>
            </table>
        </div>
        <div class="fullwidth">
            
            <br />
            <table>
                <tr>
                    <td style="vertical-align: top; width: 100px; text-align: left">
            <asp:Image ID="AvatarImg" runat="server" /></td>
                    <td style="width: 394px">
                        <strong style="font-size: 14px;">Name</strong>:
                        <asp:Label ID="PlayerName2" runat="server" Font-Size="16px"></asp:Label><br /></td>
                </tr>
            </table>
            
        </div>
    <div class="fullwidth">
        <h2>Match Statistics</h2><br />
        <asp:UpdatePanel ID="FullStatsUP" runat="server">
            <ContentTemplate> 
               <h3>Batting</h3><br />
               <asp:GridView ID="gvBatting" runat="server" AutoGenerateColumns="False" 
                CellPadding="3" GridLines="None" DataSourceID="" Font-Size="12px" Width="100%">
                <AlternatingRowStyle BackColor="#FFF3A5" />
                    <Columns>
                        <asp:BoundField SortExpression="Opponent" ItemStyle-Width="200" DataField="Opponent" HeaderText="Opponent" />
                        <asp:BoundField SortExpression="Date" ItemStyle-Width="80" DataField="Date" HeaderText="Date" />
                        <asp:TemplateField HeaderText="D.N.B" ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <asp:Label ID="Label1" runat="server" Font-Size="14" Font-Names="WingDings" Text="" Visible='<%# Eval("DNB") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="N.O" ItemStyle-HorizontalAlign="Center">
                            <ItemTemplate>
                                <asp:Label ID="Label2" runat="server" Font-Size="14" Font-Names="WingDings" Text="" Visible='<%# Eval("NotOut") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField SortExpression="HowOut" DataField="HowOut" HeaderText="HowOut" />
                        <asp:BoundField SortExpression="Mins" DataField="Mins" HeaderText="Mins" />
                        <asp:BoundField SortExpression="Fours" DataField="Fours" HeaderText="Fours" />
                        <asp:BoundField SortExpression="Sixes" DataField="Sixes" HeaderText="Sixes" />
                        <asp:BoundField SortExpression="Runs" DataField="Runs" HeaderText="Runs" />
                    </Columns>
                    <EmptyDataTemplate>
                        No data found
                    </EmptyDataTemplate>
                </asp:GridView>
                <br />
                <hr />
                <asp:GridView ID="gvBattingTotals" runat="server" AutoGenerateColumns="false" GridLines="None" 
                 Width="100%" RowStyle-Font-Bold="true" Font-Size="12px" CellSpacing="3">
                 
                    <Columns>
                        <asp:TemplateField ItemStyle-Width="200px">
                            <ItemTemplate>
                                <strong>Totals</strong>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Played" HeaderText="Played" />
                        <asp:BoundField DataField="Innings" HeaderText="Innings" />
                        <asp:BoundField DataField="NotOuts" HeaderText="N.O" />
                        <asp:BoundField DataField="Fours" HeaderText="Fours" />
                        <asp:BoundField DataField="Sixes" HeaderText="Sixes" />
                        <asp:BoundField DataField="Runs" HeaderText="Runs" />
                        <asp:BoundField DataField="AvRuns" HeaderText="Average" HtmlEncode="false"  DataFormatString="{0:F2}" />
                    </Columns>
                </asp:GridView>
                <hr />
                <h3>Bowling</h3><br />
                <asp:GridView ID="gvBowling" runat="server" AutoGenerateColumns="False" 
                    CellPadding="3" GridLines="None" DataSourceID="" Font-Size="12px" Width="100%">
                    <AlternatingRowStyle BackColor="#FFF3A5" />
                    <Columns>
                        <asp:BoundField SortExpression="Opponent" ItemStyle-Width="200" DataField="Opponent" HeaderText="Opponent" />
                        <asp:BoundField SortExpression="Date" ItemStyle-Width="80" DataField="Date" HeaderText="Date" />
                        <asp:BoundField SortExpression="Overs" DataField="Overs" HeaderText="Overs" />
                        <asp:BoundField SortExpression="Maidens" DataField="Maidens" HeaderText="Maidens" />
                        <asp:BoundField SortExpression="Runs" DataField="RunsAgainst" HeaderText="Runs" />
                        <asp:BoundField SortExpression="Wickets" DataField="Wickets" HeaderText="Wickets" />
                    </Columns>
                    <EmptyDataTemplate>
                        No data found
                    </EmptyDataTemplate>
                </asp:GridView>
                
                <br />
                <hr />
                <asp:GridView ID="gvBowlingTotals" runat="server" AutoGenerateColumns="false" GridLines="None" 
                    Width="100%" RowStyle-Font-Bold="true" Font-Size="12px" CellSpacing="3">
                    <Columns>
                        <asp:TemplateField ItemStyle-Width="200px">
                            <ItemTemplate>
                                <strong>Totals</strong>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField DataField="Played" HeaderText="Played" />
                        <asp:BoundField DataField="Overs" HeaderText="Overs" />
                        <asp:BoundField DataField="Maidens" HeaderText="Maidens" />
                        <asp:BoundField DataField="RunsAg" HeaderText="Runs" />
                        <asp:BoundField DataField="Wickets" HeaderText="Wickets" />
                        <asp:TemplateField HeaderText="Average">
                            <ItemTemplate>
                                <%#CType(Eval("RunsAg"), Double) / CType(Eval("Wickets"), Double)%>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Strike Rate">
                            <ItemTemplate>
                                <%#(CType(Eval("Overs"), Double) * 6) / CType(Eval("Wickets"), Double)%>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </ContentTemplate>
        </asp:UpdatePanel>
        
        <asp:UpdateProgress ID="FullStatsUpProg" runat="server" AssociatedUpdatePanelID="FullStatsUP" DisplayAfter="200">
            <ProgressTemplate>
                <asp:Image ID="loading1" runat="server" SkinID="loading" />
            </ProgressTemplate>
        </asp:UpdateProgress>
    </div>
    <div class="fullwidth">
    <h3>Season Overview</h3><br />
        <asp:UpdatePanel ID="GameStatsUP" runat="server">
            <ContentTemplate>
                <asp:GridView ID="Gamestats" runat="server" GridLines="None" AutoGenerateColumns="False" Width="611px" DataSourceID="">
                    <Columns>
                        <asp:TemplateField HeaderText="Match">
                            <ItemTemplate>
                                <asp:Label ID="MatchName" runat="server" Text='<%# Eval("MatchName").ToString() & " (" & CDate(Eval("MatchDate")).ToString("d") & ")" %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField SortExpression="Catches" DataField="Catches" HeaderText="Catches" />
                        <asp:BoundField SortExpression="Runs" DataField="Runs" HeaderText="Runs" />
                        <asp:BoundField SortExpression="Saves" DataField="Saves" HeaderText="Saves" />
                        <asp:TemplateField HeaderText="Was Injured">
                            <ItemTemplate>
                                <asp:Label ID="IInjury" runat="server" Text='<%# IIf(CBool(Eval("Injured")), "Yes", "No") %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    
                </asp:GridView>
                <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" SelectMethod="LoadGameStats"
                    TypeName="ClubStarterKit.Web.League">
                    <SelectParameters>
                        <asp:QueryStringParameter Name="PlayerGuid" QueryStringField="Playerid" Type="Object" />
                        <asp:Parameter Name="SeasonID" Type="Int32" />
                    </SelectParameters>
                </asp:ObjectDataSource>
            </ContentTemplate>
        </asp:UpdatePanel>
    
        <asp:UpdateProgress ID="GameStatsUpProg" runat="server" AssociatedUpdatePanelID="GameStatsUP" DisplayAfter="200">
            <ProgressTemplate>
                <asp:Image ID="loading2" runat="server" SkinID="loading" />
            </ProgressTemplate>
        </asp:UpdateProgress>
        <br />
    </div>
</div>
</asp:Content>