<%@ WebHandler Language="VB" Class="AvatarImageFetch" %>

Imports System.Web
Imports System.Data.SqlClient
Imports SubSonic
Imports ClubStarterKit.Data

Public Class AvatarImageFetch : Implements IHttpHandler

    Const BUFFERSIZE As Integer = 1024
    
    Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
        Get
            Return True
        End Get
    End Property
    
    Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
        Dim response As Web.HttpResponse = context.Response
        Dim request As Web.HttpRequest = context.Request
        response.ContentType = "image/jpeg"
        response.Cache.SetCacheability(HttpCacheability.Public)
        response.BufferOutput = False
              
        writeSingleImage(New Guid(CStr(request.QueryString("MemberID"))), response, context)
        response.End()
    End Sub
 
    Public Sub writeSingleImage(ByVal MemberID As Guid, ByVal response As Web.HttpResponse, ByVal context As HttpContext)
       
        Dim meminfo As New MemberInfo(MemberInfo.Columns.Memberid, MemberID)
        
        Dim d As Byte()
        Try
            If meminfo.Avatar Is Nothing = False AndAlso IsDBNull(meminfo.Avatar) = False Then
                d = meminfo.Avatar
            Else
                response.ContentType = "image\gif"
                response.TransmitFile(context.Server.MapPath("~/images") & "\nophoto.gif")
                Return
            End If
        Catch ex As Exception
            response.ContentType = "image\gif"
            response.TransmitFile(context.Server.MapPath("~/images") & "\nophoto.gif")
            Return
        End Try
        
        If Not d Is Nothing Then
            response.OutputStream.Write(d, 0, d.Length)
        End If
              
    End Sub

    
End Class