<%@ Control Language="VB" ClassName="HitCounter" Strict="false" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="SubSonic" %>
<%@ Import Namespace="ClubStarterKit.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim url As String = Request.Url.ToString()
        Try
            If url.Contains("member/login.aspx?ReturnURL=") = False Then
                Dim lhqry As New Query(Tables.HitCounter)
                lhqry.AddWhere(ClubStarterKit.Data.HitCounter.Columns.Page, url)
                lhqry.QueryType = QueryType.Select
                lhqry.SelectList = ClubStarterKit.Data.HitCounter.Columns.DteTime
                lhqry.Top = "1"
                If Not lhqry.GetRecordCount() = 0 Then
                    Dim rdr As SqlDataReader = lhqry.ExecuteReader()
                    Dim dte As DateTime
                    While rdr.Read()
                        dte = rdr.GetDateTime(0)
                    End While
                    rdr.Close()
                    LastHit.Text = "Site last hit - " & dte.ToShortDateString() & " " & dte.ToShortTimeString()
                End If
                
                Dim username As String = ""
                If Page.User.Identity.IsAuthenticated() = True Then
                    username = Membership.GetUser().UserName()
                End If
                ClubStarterKit.Data.HitCounter.Insert(DateTime.Now(), url, username)
                
                Dim countqry As New Query(Tables.HitCounter)
                countqry.AddWhere(ClubStarterKit.Data.HitCounter.Columns.Page, url)
                Dim count As Integer = countqry.GetRecordCount()
                Counter.Text = "Number of requests for this page - " & count.ToString()
            Else
            End If
        Catch ex As Exception

        End Try
    End Sub
    
</script>
<asp:Label ID="Counter" runat="server"></asp:Label>
<br />
<asp:Label ID="LastHit" runat="server" Text=""></asp:Label>
<br />