﻿<%@ Control Language="VB" ClassName="ImageThumbnail"  %>

<script runat="server">
    Public Property PhotoID() As Object
        Get
            Dim o As Object = ViewState("PhotoID")
            If Not o Is Nothing Then Return CInt(o) Else Return 0
        End Get
        Set(ByVal value As Object)
            If Not value Is Nothing AndAlso Not IsDBNull(value) Then
                ViewState("PhotoID") = CInt(value)
            Else
                ViewState("PhotoID") = 0
            End If
        End Set
    End Property
    
    Public Property ImageSize() As ImageSizes
        Get
            Dim o As Object = ViewState("ImageSize")
            If Not o Is Nothing Then Return CType(o, ImageSizes) Else Return ImageSizes.Thumb
        End Get
        Set(ByVal value As ImageSizes)
            ViewState("ImageSize") = value
        End Set
    End Property
    
    Public Enum ImageSizes
        Large = 0
        Thumb = 1
        FullSize = 2
    End Enum
    
    Public Property NoPhotoImg() As String
        Get
            Dim o As Object = ViewState("NoPhotoImg")
            If Not o Is Nothing Then Return CStr(o) Else Return Nothing
        End Get
        Set(ByVal value As String)
            ViewState("NoPhotoImg") = value
        End Set
    End Property
    
    Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs)
        If CInt(PhotoID) = 0 Then
            If Not NoPhotoImg Is Nothing Then
                Image1.ImageUrl = NoPhotoImg
            Else
                Image1.Visible = False
            End If
        Else
            Image1.ImageUrl = "ImageFetch.ashx?Size=" & CInt(ImageSize) & "&ImageID=" & CStr(PhotoID)
        End If
    End Sub
</script>
    <asp:Image ID="Image1" SkinID="ImageThumbNail" Runat="server" />