﻿<%@ Control Language="VB" ClassName="LoginBanner" %>

<script runat="server">

    Protected Sub Logoutbtn_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        FormsAuthentication.SignOut()
        Response.Redirect(GetFileName(Request.Path.ToString))
    End Sub
    
    Private Function GetFileName(ByVal str As String) As String
        Dim st As String
        Dim count As Integer
        st = str.Remove(0, 1)
        count = st.IndexOf("/"c)
        st = st.Remove(0, count)
        st = "~" & st
        Return st
    End Function

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
        If Page.User.Identity.IsAuthenticated = False Then
            Dim LoginButton As ClubStarterKit.Web.Controls.RolloverLink
            Dim link As String = "~/member/login.aspx?ReturnURL="
            Dim url As String = Request.Url.ToString()
            link += System.Web.HttpUtility.UrlEncode(url)
            LoginButton = CType(LoginView1.FindControl("Logintbtn"), ClubStarterKit.Web.Controls.RolloverLink)
            LoginButton.NavigateURL = link
        End If
    End Sub
</script>
<div id="loginbanner">
    <asp:LoginView ID="LoginView1" runat="server">
        <LoggedInTemplate>
            <div style="float: left">
                <h2>
                    Welcome
                    <asp:LoginName ID="LoginName1" runat="server" />
                    . <strong>You are logged in.</strong>
                </h2>
            </div>
            <div class="actionbuttons">
                <Club:RolloverButton ID="Logoutbtn" runat="server" Text="Logout" OnClick="Logoutbtn_Click" />
            </div>
        </LoggedInTemplate>
        <AnonymousTemplate>
            <div style="float: left">
                <h2>
                    Please login
                </h2>
            </div>
            <div class="actionbuttons">
                <Club:RolloverLink ID="Logintbtn" runat="server" Text="Login" NavigateURL="~/member/login.aspx?ReturnURL=" />
                &nbsp;
                <Club:RolloverLink ID="RegisterBtn" runat="server" Text="Register" NavigateURL="~/member/register.aspx" />
            </div>
        </AnonymousTemplate>
    </asp:LoginView>
</div>
