<%@ Control Language="VB" ClassName="WebContent" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="ClubStarterKit.Data" %>
<%@ Import Namespace="SubSonic" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">

    Private _Section As String = ""

    Public Property Section() As String
        Get
            Section = LCase(_Section)
        End Get
        Set(ByVal value As String)
            _Section = LCase(value)
        End Set
    End Property

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Section Is Nothing Then
            Label_Content.Text = "Please enter a section name into the WebContent control."
        Else
            Try
                sectionnameprop.Value = _Section
                Label_Content.Text = ClubStarterKit.Web.CMS.GetContent(_Section)
            Catch ex As Exception
            
            End Try
            Edit.Visible = Page.User.IsInRole("Editors")
            Dim url As String = "~\WebContent\Editor.aspx?sectionname=" & sectionnameprop.Value
            url += "&ReturnURL="
            url += System.Web.HttpUtility.UrlEncode(Request.Url.ToString())
            Edit.NavigateUrl = url
        End If
    End Sub
</script>
<asp:HiddenField ID="sectionnameprop" runat="server" />
<asp:Hyperlink ID="Edit" runat="server" Visible="false"><asp:Image id="editimg" runat="server" ImageUrl="~/images/edit.gif" /></asp:Hyperlink>
<asp:Label ID="Label_Content" runat="server" />
